///////////////////////////////////////////////////////////////////////
//  Copyright 2008 by WindJack Solutions, Inc.
//
//  **TERMS of USE:
// 
//  By downloading and installing this automation tool
//  from pdfscriping.com you are agreeing to the following
//  terms of use.
//
//  The code in this file is provided as a download tool
//  for paying members of pdfscripting.com. It is intended 
//  to be used as both a working tool and as a learning 
//  example.  
// 
//  By using this tool you agree to the following terms.
//  1.  You will not modify or remove this usage agreement
//  2.  You will not resell or distribute this tool for
//      profit.
//  3.  You will not distribute this tool to any person
//      or organization that is not a current member of 
//      pdfscripting.com.
//  
//  You may:
//  1. Use this tool on your own computers for any purpose you
//     desire, as long as you are the person doing it. 
//  2. Examine and modify this script for your own purposes.
//  3. Use it as an example for building your own Automation 
//     tools.  Which because they are your own, may be distributed
//     for commercial use.
//
//////////////////////////////////////////////
// 
//  ** GENERAL INSTALLATION INSTRUCTIONS:
//
//  This Acrobat Automation Script will only work when 
//  placed in one of the Acrobat JavaScript Folders. Execute
//  the following code from the Acrobat JavaScript Console to find
//  the location of the JavaScript folders. 
//
//  To display the Acrobat JavaScript Console use Ctrl+J on 
//  Windows and Command+J on the Mac
//
//      app.getPath("user","javascript");
//
//      app.getPath("app","javascript");
//
//  On Windows, the application JavaScript folder is usually located at:
//
//  C:\Program Files\Adobe\Acrobat 8.0\Acrobat\JavaScripts
//
//  On Mac, the application JavaScript folder is in a configuration file
//  inside the Acrobat Application Package.  
//
//  The script file can be placed in either the "User" or "App" JavaScript 
//  folder. 
//
//  This script will place a toolbar button on the "Add-ons" toolbar 
//  in Acrobat or Adobe Reader. If this toolbar is not visible then 
//  Right click on an empty part of the Acrobat toolbar area and select
//  "Add-ons".
//
//  JavaScript toolbar buttons were added to Acrobat in version 6. However, 
//  most automation scripts are intended to be used with Acrobat 7 or later.  
//  This particular script may contain functionality that prevents it from 
//  being used in ADobe Reader.  See comments in the JavaScript File for details.
//
///////////////////////////////////////////////////////////////////////
//<AcroButtons name="NewDocument" version="2.0" "modified="1/28/2005 13:12:41" id="1:28:2005:13:12:41">
// This script was created by AcroButtons from Windjack Solutions, www.windjack.com
// Do not modify the code inbetween the AcroButtons Tags
// Moving or changing tag positions can compromise AcroButtons' ability to handle
// this file
// Place Extra-AcroButton Code in the following "Code Above" Section
//

//<CodeAbove>

///////////////////////////////////////////////////////////////////////
//
//  New Document Automation Tool
// 
//  Creates a new blank pdf of the selected page size. 
//
//  Requires Acrobat Standard or Professional, version 6 or later.
//
//  The "newDoc()" function requires a privileged context.  This script 
//  demonstrates using a menu item to create a privileged context
//  in Acrobat Version 6 and earlier.  For Acrobat 7 and later it uses 
//  a trusted function to create a privileged context.


  var DoPResizeDialog = app.trustedFunction(function(oDlg)
  {
      var cRtn = null;
        app.beginPriv();
//        oTrustDlg =  ANTrustPropagateAll(oDlg);
//        cRtn = oTrustDlg.DoDialog();
        cRtn = oDlg.DoDialog();
        app.endPriv();
      return cRtn;
  });


//~~console.show();console.println("There are " + this.numPages + " pages in this document");

var blnDlgDebug = true;

// Function to round a number using the \"symmetric arithmetic\" method.
// \"factor\" (default 1) can be used to round to a specific number of decimal places.
// For example, a factor of 100 rouns to 2 decimal places.\n" +
// Algorithm adapted from http://support.microsoft.com/default.aspx?scid=kb;en-us;196652
function SymArithRound(x, factor) {
   // original VB code:  SymArith = Fix(x * factor + 0.5 * Sgn(x)) / factor
   // test and return if x = 0 to avoid problems with \"sign\" code below
   if (0 == x) { return 0; }
   // Set default value for \"factor\" if not specified.
   if ( arguments.length < 2 ) {
      var fac = 1;
   } else {
      var fac = factor;
   }
   // JavaScript has no \"sign\" function, so we need to do it ourselves.
   if (x > 0) {
      var rnd = 0.5;
   } else {
      var rnd = -0.5;
   }
   var result = Fix(x * fac + rnd) / fac;
   //console.println(\'SymArithRound: x, factor =\' + x + \', \' + fac + \', result = \' + result);
   return result;
}

function Fix(x) {
   // Returns the integer portion of real value \"x\".  JavaScript doesn\'t have this operation, either!!
   //var fixed = x - (x % 1);
   //console.println(\'Fix(\' + x + \') = \' + fixed);
   //return fixed;\n" +
   return x - (x % 1);
}


var sizeListNPResize =
[
{name:"2.135x210(84x108)/32",w:383,h:595},
{name:"2.145x220(60x90)",w:411,h:624},
{name:"2.170x245(70x100)",w:482,h:695},
{name:"2.170x220(70x90)",w:482,h:624},
{name:"2.205x260(84x108)",w:581,h:737},
{name:"2.215x290(60x90)/8",w:610,h:822},
{name:"1.125x200(60x90el)",w:354.3,h:567},
{name:"1.145x225(70x100el)",w:411,h:638},
{name:"1.155x225(70x100el)",w:439,h:638},
];



function DoPResize(theDoc,fromPage,toPage,doEven,doOdd,h,w,tmb,lcr,boxes)
{
   var i, inc=0, blnEvenPage;
   var ibox, boxType, obox, ocbox, ollx, olly, ourx, oury;
   var nbox = new Array(3);
   var ncbox = new Array(3);

   app.thermometer.duration = toPage - fromPage;
   app.thermometer.begin();
  
   for (i = fromPage; i <= toPage; i++) {
      if(app.thermometer.cancelled) break;
  
			app.thermometer.value =  ++inc;
			app.thermometer.text = "Page: " + inc.toString();

      blnEvenPage = (i % 2) != 0;   // note reversed test!
      if ( (blnEvenPage && doEven) || (! blnEvenPage && doOdd) ) {
//         if (blnDlgDebug) {console.println('processing actual page ' + (i+1));}
         // Calculate the new coordinates based on the anchor position
         for (ibox = 0; ibox < boxes.length; ibox++) {
            boxType = boxes[2];
            ocbox = theDoc.getPageBox({cBox: boxType, nPage: i});
//
            boxType = boxes[ibox];
//            if (blnDlgDebug) {console.println('  processing box ' + ibox + ', Type ' + boxType);}
            obox = theDoc.getPageBox({cBox: boxType, nPage: i});
            // normalize the page box (the PDF reference says we'd better do this)
            ollx = Math.min (obox[0], obox[2]);
            olly = Math.min (obox[1], obox[3]);
            ourx = Math.max (obox[0], obox[2]);
            oury = Math.max (obox[1], obox[3]);
//            if (blnDlgDebug) {console.println('  obox= ' + ollx + ', ' + olly + ', ' + ourx + ', ' + oury);}
            switch (tmb) {
               case 'T':
                  nbox[1] = oury - h;
                  nbox[3] = oury;
                  break;
               case 'M':
                  nbox[1] = (olly + oury - h)/2;
                  nbox[3] = (olly + oury + h)/2;
                  break;
               case 'B':
                  nbox[1] = olly;
                  nbox[3] = olly + h;
                  break;
               case 'X':
                  nbox[0]=ocbox[0];
                  nbox[1]=ocbox[1];
                  nbox[2]=ocbox[2];
                  nbox[3]=ocbox[3];
                  break;
            }
            switch (lcr) {
               case 'L':
                  nbox[0] = ollx;
                  nbox[2] = ollx + w;
                  break;
               case 'C':
                  nbox[0] = (ollx + ourx - w)/2;
                  nbox[2] = (ollx + ourx + w)/2;
                  break;
               case 'R':
                  nbox[0] = ourx - w;
                  nbox[2] = ourx;
                  break;
               case 'X':
                  nbox[0]=ocbox[0];
                  nbox[1]=ocbox[1];
                  nbox[2]=ocbox[2];
                  nbox[3]=ocbox[3];
                  break;
            }
//            if (blnDlgDebug) {console.println('  nbox= ' + nbox[0] + ', ' + nbox[1] + ', ' + nbox[2] + ', ' + nbox[3] + ', ' + tmb + ', ' + lcr);}
            // Now round the new coordinates.
            for (var j=0; j<3; j++) {
               nbox[j] = SymArithRound(nbox[j], 10000);
               ncbox[j] = SymArithRound(ncbox[j], 10000);
            }
//            if (blnDlgDebug) {console.println('  rounded nbox= ' + nbox[0] + ', ' + nbox[1] + ', ' + nbox[2] + ', ' + nbox[3]);}
            // Now we actually resize the page!
            obox = theDoc.setPageBoxes({cBox: boxType, nStart: i, nEnd: i, rBox: nbox});
         } // end for each box type
      } // end if page should be processed
   } // end for each page
   app.thermometer.end();
}


var m_bLastMult = 1;
var m_numPages;
var m_pageNum;
var dlgValues = {w:0, h:0, units:1, anchor:"", range:"", fromPage:0, toPage:0, oddeven:"", boxes:""};



var PResizeDlg =
  {
		lastUnits:"Rad3",
		lastSize:"Custom",
		w: 0,
		h: 0,
		m_bLastMult: 1,
        nActiveAnchor: 4,


    DoDialog: function()
    {
      app.beginPriv();
      return app.execDialog(this);
      app.endPriv();
    },


    initialize: function(dialog)
    {
      this.result = "Cancel";
      var sizeInit = 
          {
        	"Custom": -1,
        	"2.135x210(84x108)/32": -2,
        	"2.145x220(60x90)": -3,
        	"2.170x245(70x100)": -4,
        	"2.170x220(70x90)": -5,
        	"2.205x260(84x108)": -6,
        	"2.215x290(60x90)/8": -7,
        	"1.125x200(60x90el)": -8,
        	"1.145x225(70x100el)": -9,
        	"1.155x225(70x100el)": -9,
          };

//~~~~<initialize>~~~~~
      dialog.load(
        {
          "ckTr": true,
          "ckAr": true,
          "ckBl": true,
          "ckMe": true,
          "ckCr": true,
          "pEvn": 
          {
            "1. All Pages": 1,
            "2. Odd Pages Only": -2,
            "3. Even Pages Only": -3,
          },
          "rAll": true,
          "Rad1": true,
          "A_MC": true,
        }
      );


       dialog.enable(
         {
           "tTPg": false,
           "tFPg": false,
//~~           "hght": false,
//~~           "wdth": false,
         }
       );

	  sizeInit[this.lastSize] = 2.835;

// Get page # and # of pages for use later.
      m_numPages = this.numPages;

      var loadParams = {"psiz": sizeInit};
      loadParams[this.lastUnits] = true;
      dialog.load(loadParams);
      dialog.enable({"wdth": false, "hght": false});

      if(this.lastSize == "Custom")
          dialog.load({"wdth":this.w ,"hght":this.h});
      
      this.m_bLastMult = 1;
      this["psiz"](dialog);

    },
//~~~~</initialize>~~~~


    validate: function(dialog)
    {
       var rslt = dialog.store();
       var strErr = "";

//~~~~<validate>~~~~~
// make sure at least one "apply to" box is checked.
       if ( ! ( rslt["ckAr"] || rslt["ckBl"] || rslt["ckCr"] || rslt["ckMe"] || rslt["ckTr"] ) ) {
          strErr += "At least one \'apply to\' box must be selected.\n";
       }
//~~~~<validate>~~~~~
       if (strErr != "") {
          app.alert(strErr);
          return(false);
       }
//~~~~<validate>~~~~~
     return(true);

    },
//~~~~</validate>~~~~


    commit: function(dialog)
    {
       var rslt = dialog.store();
       if(rslt["Rad2"]){
         var mult = 72;
         this.lastUnits = "Rad2";
       }else if(rslt["Rad3"]){
         var mult = 2.835;
         this.lastUnits = "Rad3";
       }else{
    	 var mult = 1;
    	 this.lastUnits = "Rad1";
       }

       this.h = rslt["hght"] * mult;
       this.w = rslt["wdth"] * mult;

 	   for(var entry  in rslt["psiz"])
	    {
			if(rslt["psiz"][entry]> 0)
			{
					this.lastSize = entry;
					break;
			}
	    }

//~~~~<commit>~~~~~
       var an;
       switch(this.nActiveAnchor)
       {
          case 0:
              an = "TL";
             break;
          case 1:
              an = "TC";
             break;
          case 2:
              an = "TR";
             break;
          case 3:
              an = "ML";
             break;
          case 4:
              an = "MC";
             break;
          case 5:
              an = "MR";
             break;
          case 6:
              an = "BL";
             break;
          case 7:
              an = "BC";
             break;
          case 8:
              an = "BR";
             break;
          case 9:
              an = "XX";
             break;
       }
       dlgValues.anchor = an;

//~~~~<commit>~~~~~
       var ra;
       if (rslt["rAll"]) {ra = "all"};
       if (rslt["rCur"]) {ra = "current"};
       if (rslt["rFro"]) {
          ra = "range";
          dlgValues.fromPage = rslt["tFPg"];
          dlgValues.toPage = rslt["tTPg"];
       };
       dlgValues.range = ra;

//~~~~<commit>~~~~~
       var arBx = new Array();
       if (rslt["ckAr"]) {arBx.push("Art")};
       if (rslt["ckBl"]) {arBx.push("Bleed")};
       if (rslt["ckCr"]) {arBx.push("Crop")};
       if (rslt["ckMe"]) {arBx.push("Media")};
       if (rslt["ckTr"]) {arBx.push("Trim")};
       dlgValues.boxes =arBx;

//~~~~<commit>~~~~~
       for (var i in rslt["pEvn"]) {
          //console.println("i=" + i + ", val=" + rslt["pEvn"][i]);
          if (rslt["pEvn"][i] > 0) {
             dlgValues.oddeven = i;
             break;
          }
       }

    },
//~~~~</commit>~~~~



//~~~~~~~
    "A_TL": function(dialog)
     {
          this.nActiveAnchor = 0;
          dialog.enable({"A_TL":false,"A_TC":false,"A_TR":false,
                         "A_ML":false,"A_MC":false,"A_MR":false,
                         "A_BL":false,"A_BC":false,"A_BR":false,"A_X":false});
          dialog.enable({"A_TC":true,"A_TR":true,
                         "A_ML":true,"A_MC":true,"A_MR":true,
                         "A_BL":true,"A_BC":true,"A_BR":true,"A_X":true});

     },
//~~~~~~~
    "A_TC": function(dialog)
     {
          this.nActiveAnchor = 1;
          dialog.enable({"A_TL":false,"A_TC":false,"A_TR":false,
                         "A_ML":false,"A_MC":false,"A_MR":false,
                         "A_BL":false,"A_BC":false,"A_BR":false,"A_XX":false});
          dialog.enable({"A_TL":true,"A_TR":true,
                         "A_ML":true,"A_MC":true,"A_MR":true,
                         "A_BL":true,"A_BC":true,"A_BR":true,"A_XX":true});
     },
//~~~~~~~
    "A_TR": function(dialog)
     {
          this.nActiveAnchor = 2;
          dialog.enable({"A_TL":false,"A_TC":false,"A_TR":false,
                         "A_ML":false,"A_MC":false,"A_MR":false,
                         "A_BL":false,"A_BC":false,"A_BR":false,"A_XX":false});
          dialog.enable({"A_TL":true,"A_TC":true,
                         "A_ML":true,"A_MC":true,"A_MR":true,
                         "A_BL":true,"A_BC":true,"A_BR":true,"A_XX":true});
     },
//~~~~~~~
    "A_ML": function(dialog)
     {
          this.nActiveAnchor = 3;
          dialog.enable({"A_TL":false,"A_TC":false,"A_TR":false,
                         "A_ML":false,"A_MC":false,"A_MR":false,
                         "A_BL":false,"A_BC":false,"A_BR":false,"A_XX":false});
          dialog.enable({"A_TL":true,"A_TC":true,"A_TR":true,
                         "A_MC":true,"A_MR":true,
                         "A_BL":true,"A_BC":true,"A_BR":true,"A_XX":true});

     },
//~~~~~~
    "A_MC": function(dialog)
     {
          this.nActiveAnchor = 4;
          dialog.enable({"A_TL":false,"A_TC":false,"A_TR":false,
                         "A_ML":false,"A_MC":false,"A_MR":false,
                         "A_BL":false,"A_BC":false,"A_BR":false,"A_XX":false});
          dialog.enable({"A_TL":true,"A_TC":true,"A_TR":true,
                         "A_ML":true,"A_MR":true,
                         "A_BL":true,"A_BC":true,"A_BR":true,"A_XX":true});
     },
//~~~~~~
    "A_MR": function(dialog)
     {
          this.nActiveAnchor = 5;
          dialog.enable({"A_TL":false,"A_TC":false,"A_TR":false,
                         "A_ML":false,"A_MC":false,"A_MR":false,
                         "A_BL":false,"A_BC":false,"A_BR":false,"A_XX":false});
          dialog.enable({"A_TL":true,"A_TC":true,"A_TR":true,
                         "A_ML":true,"A_MC":true,
                         "A_BL":true,"A_BC":true,"A_BR":true,"A_XX":true});
     },
//~~~~~~
    "A_BL": function(dialog)
     {
          this.nActiveAnchor = 6;
          dialog.enable({"A_TL":false,"A_TC":false,"A_TR":false,
                         "A_ML":false,"A_MC":false,"A_MR":false,
                         "A_BL":false,"A_BC":false,"A_BR":false,"A_XX":false});
          dialog.enable({"A_TL":true,"A_TC":true,"A_TR":true,
                         "A_ML":true,"A_MC":true,"A_MR":true,
                         "A_BC":true,"A_BR":true,"A_XX":true});

     },
//~~~~~~
   "A_BC": function(dialog)
     {
          this.nActiveAnchor = 7;
          dialog.enable({"A_TL":false,"A_TC":false,"A_TR":false,
                         "A_ML":false,"A_MC":false,"A_MR":false,
                         "A_BL":false,"A_BC":false,"A_BR":false,"A_XX":false});
          dialog.enable({"A_TL":true,"A_TC":true,"A_TR":true,
                         "A_ML":true,"A_MC":true,"A_MR":true,
                         "A_BL":true,"A_BR":true,"A_XX":true});
     },
//~~~~~~
    "A_BR": function(dialog)
     {
          this.nActiveAnchor = 8;
          dialog.enable({"A_TL":false,"A_TC":false,"A_TR":false,
                         "A_ML":false,"A_MC":false,"A_MR":false,
                         "A_BL":false,"A_BC":false,"A_BR":false,"A_XX":false});
          dialog.enable({"A_TL":true,"A_TC":true,"A_TR":true,
                         "A_ML":true,"A_MC":true,"A_MR":true,
                         "A_BL":true,"A_BC":true,"A_XX":true});
     },
//~~~~~~
    "A_XX": function(dialog)
     {
          this.nActiveAnchor = 9;
          dialog.enable({"A_TL":false,"A_TC":false,"A_TR":false,
                         "A_ML":false,"A_MC":false,"A_MR":false,
                         "A_BL":false,"A_BC":false,"A_BR":false,"A_XX":false});
          dialog.enable({"A_TL":true,"A_TC":true,"A_TR":true,
                         "A_ML":true,"A_MC":true,"A_MR":true,
                         "A_BL":true,"A_BC":true,"A_BR":true});
     },
//~~~~~~
    "tFPg": function(dialog)
    {
    },
//~~~~~~
    "rFro": function(dialog)
    {
        dialog.enable({"tFPg":true ,"tTPg":true});
    },
//~~~~~~
    "rCur": function(dialog)
    {
        dialog.enable({"tFPg":false ,"tTPg":false});
    },
//~~~~~~
    "rAll": function(dialog)
    {
        dialog.enable({"tFPg":false ,"tTPg":false});
    },
//~~~~~~

    "Rad3": function(dialog)
    {
       this["psiz"](dialog);
    },
    "Rad2": function(dialog)
    {
       this["psiz"](dialog);
    },
    "Rad1": function(dialog)
    {
       this["psiz"](dialog);
    },

    "psiz": function(dialog)
    {
			var rslts = dialog.store();
			var sel ="";
			for(var entry  in rslts["psiz"])
			 {
					if(rslts["psiz"][entry]> 0)
					{
							sel = entry;
							break;
					}
			 }
		    var mult = 1;
			if(rslts["Rad2"])
					 mult = 72;
			else if(rslts["Rad3"])
					 mult = 2.835;
			var bCustom = (sel =="Custom");
			dialog.enable({"hght": bCustom,"wdth":bCustom});
			var nH = 0, nW = 0;
			if(bCustom)
			 {
							nH = (rslts["hght"] * this.m_bLastMult)/mult;
							nW = (rslts["wdth"] * this.m_bLastMult)/mult;
			 }
			 else
			 {
					var nLen = sizeListNPResize.length;
					for(var i=0;i<nLen;i++)
					{
							 if(sizeListNPResize[i].name == sel)
							{
									nH = sizeListNPResize[i].h/mult;
									nW = sizeListNPResize[i].w/mult;
									break;
							}
					}
			 }
			dialog.load({"hght": nH,"wdth":nW});
			this.m_bLastMult = mult;
    },


    description:
    {
      first_tab: "psiz",
      name: "Resize pages",
      target_id: "psiz",
      elements:
      [
        {
          alignment: "align_left",
          type: "view",
          elements:
          [
//~~~~<description>~~~~~
            {
              align_children: "align_top",
              type: "view",
              elements:
              [
//~~~~<description>~~~~~
                {
                  align_children: "align_top",
                  item_id: "cSiz",
                  name: "New size",
                  type: "cluster",
                  elements:
                  [
                    {
                      align_children: "align_top",
                      type: "view",
                      elements:
                      [
                        {
                          item_id: "V2",
                          type: "view",
                          elements:
                          [
                            {
                              alignment: "align_left",
                              item_id: "psiz",
                              next_tab: "hght",
                              type: "popup",
                              height: 23,
                              width: 83,
                            },
//~~~~<description>~~~~~
                            {
                              align_children: "align_row",
                              item_id: "V4",
                              type: "view",
                              elements:
                              [
                                {
                                  height: 24,
                                  item_id: "sta1",
                                  name: "Width:",
                                  type: "static_text",
                                  width: 42,
                                },
                                {
                                  char_width: 8,
                                  height: 24,
                                  item_id: "wdth",
                                  next_tab: "Rad1",
                                  type: "edit_text",
                                  width: 88,
                                },
                              ]
                            },
//~~~~<description>~~~~~
                            {
                              align_children: "align_row",
                              item_id: "V3",
                              type: "view",
                              elements:
                              [
                                {
                                  height: 24,
                                  item_id: "sta1",
                                  name: "Height:",
                                  type: "static_text",
                                  width: 42,
                                },
                                {
                                  alignment: "align_left",
                                  char_width: 8,
                                  height: 24,
                                  item_id: "hght",
                                  next_tab: "wdth",
                                  type: "edit_text",
                                  width: 88,
                                },
                              ]
                            },
                          ]
                        },
//~~~~<description>~~~~~
                        {
                          align_children: "align_left",
                          item_id: "cUni",
                          name: "Units",
                          type: "cluster",
                          elements:
                          [
                            {
                              group_id: "Unit",
                              item_id: "Rad1",
                              name: "points",
                              next_tab: "Rad2",
                              type: "radio",
                            },
                            {
                              group_id: "Unit",
                              item_id: "Rad2",
                              name: "inches",
                              next_tab: "Rad3",
                              type: "radio",
                            },
                            {
                              group_id: "Unit",
                              item_id: "Rad3",
                              name: "millimeters",
                              type: "radio",
                            },
                          ]
                        },
                      ]
                    },
                  ]
                },
//~~~~<description>~~~~~
                {
                  align_children: "align_center",
                  item_id: "cAnc",
                  name: "Anchor",
                  type: "cluster",
                  elements:
                  [
                    {
                      align_children: "align_row",
                      alignment: "align_center",
                      type: "view",
                      elements:
                      [
                        {
                          alignment: "align_distribute",
                          width: 20,
                          height: 20,
                          type: "radio",
                          item_id: "A_TL",
                          next_tab: "A_TC",
                        },
                        {
                          alignment: "align_distribute",
                          width: 20,
                          height: 20,
                          type: "radio",
                          item_id: "A_TC",
                          next_tab: "A_TR",
                        },
                        {
                          alignment: "align_distribute",
                          width: 20,
                          height: 20,
                          type: "radio",
                          item_id: "A_TR",
                          next_tab: "A_ML",
                        },
                      ]
                    },
//~~~~<description>~~~~~
                    {
                      align_children: "align_row",
                      type: "view",
                      elements:
                      [
                        {
                          alignment: "align_distribute",
                          width: 20,
                          height: 20,
                          type: "radio",
                          item_id: "A_ML",
                          next_tab: "A_MC",
                        },
                        {
                          alignment: "align_distribute",
                          width: 20,
                          height: 20,
                          type: "radio",
                          item_id: "A_MC",
                          next_tab: "A_MR",
                        },
                        {
                          alignment: "align_distribute",
                          width: 20,
                          height: 20,
                          type: "radio",
                          item_id: "A_MR",
                          next_tab: "A_BL",
                        },
                      ]
                    },
//~~~~<description>~~~~~
                    {
                      align_children: "align_row",
                      type: "view",
                      elements:
                      [
                        {
                          alignment: "align_distribute",
                          width: 20,
                          height: 20,
                          type: "radio",
                          item_id: "A_BL",
                          next_tab: "A_BC",
                        },
                        {
                          alignment: "align_distribute",
                          width: 20,
                          height: 20,
                          type: "radio",
                          item_id: "A_BC",
                          next_tab: "A_BR",
                        },
                        {
                          alignment: "align_distribute",
                          width: 20,
                          height: 20,
                          type: "radio",
                          item_id: "A_BR",
                          next_tab: "A_XX",
                        },
                      ]
                    },
//~~~~<description>~~~~~
                    {
                      align_children: "align_row",
                      type: "view",
                      elements:
                      [
                        {
                          alignment: "center",
                          width: 20,
                          height: 20,
                          type: "radio",
                          item_id: "A_XX",
                          next_tab: "rAll",
                        },
                      ]
                    },
                  ]
                },
              ]
            },
//~~~~<description>~~~~~
            {
              align_children: "align_top",
              type: "view",
              elements:
              [
                {
                  item_id: "cls3",
                  name: "Page range",
                  type: "cluster",
                  elements:
                  [
                    {
                      group_id: "rang",
                      item_id: "rAll",
                      name: "All",
                      next_tab: "rSel",
                      type: "radio",
                    },
//~~~~<description>~~~~~
                    {
                      group_id: "rang",
                      item_id: "rCur",
                      name: "Current Page",
                      next_tab: "rFro",
                      type: "radio",
                    },
//~~~~<description>~~~~~
                    {
                      align_children: "align_row",
                      type: "view",
                      width: 256,
                      elements:
                      [
                        {
                          group_id: "rang",
                          item_id: "rFro",
                          name: "From:",
                          next_tab: "tFPg",
                          type: "radio",
                        },
                        {
                          char_width: 6,
                          item_id: "tFPg",
                          next_tab: "tTPg",
                          type: "edit_text",
                        },
//~~~~<description>~~~~~
                        {
                          item_id: "sta1",
                          name: "To:",
                          type: "static_text",
                        },
                        {
                          char_width: 6,
                          item_id: "tTPg",
                          next_tab: "pEvn",
                          type: "edit_text",
                        },
//~~~~<description>~~~~~
                        {
                          item_id: "sOfN",
                          name: "of (N)",
                          type: "static_text",
                          width: 40,
                        },
                      ]
                    },
//~~~~<description>~~~~~
                    {
                      height: 5,
                      item_id: "gap1",
                      type: "gap",
                      width: 151,
                    },
//~~~~<description>~~~~~
                    {
                      align_children: "align_row",
                      type: "view",
                      elements:
                      [
                        {
                          item_id: "sta3",
                          name: "Resize:",
                          type: "static_text",
                        },
                        {
                          enable: "true",
                          item_id: "pEvn",
                          name: "goo",
                          next_tab: "ckAr",
                          type: "popup",
                          width: 200,
                        },
                      ]
                    },
                  ]
                },
//~~~~<description>~~~~~
                {
                  align_children: "align_left",
                  alignment: "align_distribute",
                  item_id: "cBxs",
                  name: "Apply to",
                  type: "cluster",
                  elements:
                  [
                    {
                      item_id: "ckAr",
                      name: "Art Box",
                      next_tab: "ckBl",
                      type: "check_box",
                    },
                    {
                      item_id: "ckBl",
                      name: "Bleed Box",
                      next_tab: "ckCr",
                      type: "check_box",
                    },
                    {
                      item_id: "ckCr",
                      name: "Crop Box",
                      next_tab: "ckMe",
                      type: "check_box",
                    },
                    {
                      item_id: "ckMe",
                      name: "Media Box",
                      next_tab: "ckTr",
                      type: "check_box",
                    },
                    {
                      item_id: "ckTr",
                      name: "Trim Box",
                      next_tab: "OK",
                      type: "check_box",
                    },
                  ]
                },
              ]
            },
//~~~~<description>~~~~~
            {
              align_children: "align_left",
              alignment: "align_fill",
              name: "OK",
              type: "ok_cancel",
            },
//~~~~<description>~~~~~
          ]
        },
      ]
    }
  };

//<JSCodeSnippet name="ImageData7">
var icEcovSm = 
"555555FF558855FF558855FF558855FF558855FF558855FF558855FF558855FF558855FF558855FF558855FF558855FF558855FF55885555FF558855" +
"FF558855DDDDDDFFDDDDDDFFDDDDDDFFDDDDDDFFDDDDDDFFDDDDDDFFDDDDDDFFDDDDDDFFDDDDDDFFDDDDDDFFDDDDDDFFDDDDDDFFFF555555FF558855" +
"FF558855FF5555FF558855FF558855FF558855FF558855FF558855FF00FF0000555555FF558855FF558855FF558855FF558855FFFF555555FF558855" +
"FF558855FF5555FF558855FF558855FF558855FF55885555FF000000FF00FF00FF000000FF5555FF558855FF558855FF558855FFFF555555FF558855" +
"FF558855FF5555FF558855FF558855FF558855FF00FF0000FF00FF00FF00FF00FF00FF00FF000000555555FF558855FF558855FFFF555555FF558855" +
"FF558855FF5555FF558855FF558855FF00FF0000FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF000000555555FF558855FFFF555555FF558855" +
"FF558855FF5555FF558855FFFF55555555555555FF000000FF555500FF00FF00FF555500FF00000055555555FF558855555555FFFF555555FF558855" +
"FF558855FF5555FF558855FF00FF0000FF558855FF558855FF005500FF00FF00FF005500FF558855FF558855FF000000555555FFFF555555FF558855" +
"FF558855FF5555FF00FF0000FF00FF00FF000000FF558855FF005500FF00FF00FF005500FF558855FF000000FF00FF00FF000000FF558855FF558855" +
"FF558855FF000000FF00FF00FF00FF00FF558855FF558855FF558855FF00FF00FF558855FF558855FF558855FF00FF00FF00FF00FF000000FF558855" +
"FF000000FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF000000" +
"FF558855FF000000FF00FF00FF00FF00FF558855FF558855FF558855FF00FF00FF558855FF558855FF558855FF00FF00FF00FF00FF000000FF558855" +
"FF558855FF5555FF00FF0000FF00FF00FF000000FF558855FF005500FF00FF00FF005500FF5555FF00FF0000FF00FF00FF000000FF558855FF558855" +
"FF558855FF5555FFFF5555FF00FF0000FF558855FF558855FF555500FF00FF00FF555500FF558855FF558855FF000000FF5555FFFF555555FF558855" +
"FF558855FF5555FFFF5555FFFF5555FF00FF0000FF00FF00FF00FF00FF00FF00FF00FF00FF00FF00FF000000FF5555FFFF5555FFFF555555FF558855" +
"FF558855FF5555FFFF5555FFFF5555FFFF5555FF00FF0000FF00FF00FF00FF00FF00FF00FF000000FF5555FFFF5555FFFF5555FFFF555555FF558855" +
"FF558855FF5555FFFF5555FFFF5555FFFF5555FFFF5555FF00FF0000FF00FF00FF000000FF5555FFFF5555FFFF5555FFFF5555FFFF555555FF558855" +
"FF558855FF5555FFFF5555FFFF5555FFFF5555FFFF5555FFFF5555FF00FF0000FF5555FFFF5555FFFF5555FFFF5555FFFF5555FFFF555555FF558855" +
"FF558855FF558855FF558855FF558855FF558855FF558855FF558855FF558855FF558855FF558855FF558855FF558855FF558855FF558855FF558855" +
"FF5555FFFF5555FFFF5555FFFF5555FFFF5555FFFF5555FFFF5555FFFF5555FFFF5555FFFF5555FFFF5555FFFF5555FFFF5555FFFF555555FF558855"; 
//</JSCodeSnippet>


// Icon Generic Stream Object
//<JSCodeSnippet name="ButtonIconDef">
var oIconResPages = null;
oIconResPages = {count: 0, width: 15, height: 20,
read: function(nBytes){return icEcovSm.slice(this.count, this.count += nBytes);}};
//</JSCodeSnippet>

//<JSCodeSnippet name="EventCode">
var DoCmdPResize = 
"   if(\"ok\" == DoPResizeDialog(PResizeDlg))\n" +
"   {\n" +
//~~~~<ifok>~~~~~
"   // Determine the starting and ending pages to process.\n" +
"   // the values set are 0-based!\n" +
"   var fromPage, toPage;\n" +
"   switch (dlgValues[\'range\']) {\n" +
"      case \'all\':\n" +
"         fromPage = 0;\n" +
//~~"         toPage = app.doc.numPages - 1;\n" +
"         toPage = 0;\n" +
"         break;\n" +
"      case \'current\':\n" +
//~~"         fromPage = app.doc.pageNum;\n" +
//~~"         toPage = app.doc.pageNum;\n" +
"         fromPage = 0;\n" +
"         toPage = 0;\n" +
"      if (blnDebug) {console.println(\'In Current: pg:\'+ toPage);}\n" + 
"         break;\n" +
"      case \'range\':\n" +
"         fromPage = dlgValues[\'fromPage\'] - 1;\n" +
"         toPage = dlgValues[\'toPage\'] - 1;\n" +
"         break;\n" +
"   }\n" +
//~~~~<ifok>~~~~~
"   var doOdd, doEven;\n" +
"   switch (dlgValues[\'oddeven\']) {\n" +
"      case \'1. All Pages\':\n" +
"         doOdd = true;\n" +
"         doEven = true;\n" +
"         break;\n" +
"      case \'2. Odd Pages Only\':\n" +
"         doOdd = true;\n" +
"         doEven = false;\n" +
"         break;\n" +
"      case \'3. Even Pages Only\':\n" +
"         doOdd = false;\n" +
"         doEven = true;\n" +
"         break;\n" +
"   }\n" +
//~~~~<ifok>~~~~~
"   var tmb, lcr, boxes;\n" +
"   tmb = dlgValues[\'anchor\'][0];\n" +
"   lcr = dlgValues[\'anchor\'][1];\n" +
"   boxes = dlgValues[\'boxes\'];\n" +
"   DoPResize(this,fromPage,toPage,doEven,doOdd,PResizeDlg.h,PResizeDlg.w,tmb,lcr,boxes);\n" +
"   }"
//</JSCodeSnippet>

//<JSCodeSnippet name="ButtonObjDef">
var oButResPages = 
{cName: "ResPages",
cExec: DoCmdPResize,
cEnable: "event.rc = (app.doc != null)",
cMarked: "event.rc = false",
cTooltext: "Resize Pages",
nPos: 1,
cLabel: "Resize Pages"};
//</JSCodeSnippet>
if(oIconResPages != null)
    oButResPages.oIcon = oIconResPages;

try{app.removeToolButton("ResPages");}catch(e){}

//<JSCodeSnippet name="TryAddBut">
try
{
//</JSCodeSnippet>
//<JSCodeSnippet name="AddButtonfn">
    app.addToolButton(oButResPages);
//</JSCodeSnippet>
//<JSCodeSnippet name="CatchAddBut">
}catch(e)
{
}
//</JSCodeSnippet>
 
//</AcroButtons>

