///////////////////////////////////////////////////////////////////////
//  Copyright 2008 by WindJack Solutions, Inc.
//
//  **TERMS of USE:
// 
//  By downloading and installing this automation tool
//  from pdfscriping.com you are agreeing to the following
//  terms of use.
//
//  The code in this file is provided as a download tool
//  for paying members of pdfscripting.com. It is intended 
//  to be used as both a working tool and as a learning 
//  example.  
// 
//  By using this tool you agree to the following terms.
//  1.  You will not modify or remove this usage agreement
//  2.  You will not resell or distribute this tool for
//      profit.
//  3.  You will not distribute this tool to any person
//      or organization that is not a current member of 
//      pdfscripting.com.
//  
//  You may:
//  1. Use this tool on your own computers for any purpose you
//     desire, as long as you are the person doing it. 
//  2. Examine and modify this script for your own purposes.
//  3. Use it as an example for building your own Automation 
//     tools.  Which because they are your own, may be distributed
//     for commercial use.
//
//////////////////////////////////////////////
// 
//  ** GENERAL INSTALLATION INSTRUCTIONS:
//
//  This Acrobat Automation Script will only work when 
//  placed in one of the Acrobat JavaScript Folders. Execute
//  the following code from the Acrobat JavaScript Console to find
//  the location of the JavaScript folders. 
//
//  To display the Acrobat JavaScript Console use Ctrl+J on 
//  Windows and Command+J on the Mac
//
//      app.getPath("user","javascript");
//
//      app.getPath("app","javascript");
//
//  On Windows, the application JavaScript folder is usually located at:
//
//  C:\Program Files\Adobe\Acrobat 8.0\Acrobat\JavaScripts
//
//  On Mac, the application JavaScript folder is in a configuration file
//  inside the Acrobat Application Package.  
//
//  The script file can be placed in either the "User" or "App" JavaScript 
//  folder. 
//
//  This script will place a toolbar button on the "Add-ons" toolbar 
//  in Acrobat or Adobe Reader. If this toolbar is not visible then 
//  Right click on an empty part of the Acrobat toolbar area and select
//  "Add-ons".
//
//  JavaScript toolbar buttons were added to Acrobat in version 6. However, 
//  most automation scripts are intended to be used with Acrobat 7 or later.  
//  This particular script may contain functionality that prevents it from 
//  being used in ADobe Reader.  See comments in the JavaScript File for details.
//
///////////////////////////////////////////////////////////////////////
/// Resize Pages JavaScript  Copyright (C) 2005 by Windjack Solutions, All rights reserved
//
//<AcroButtons name="Resize" version="2.0" "modified="1/27/2005 22:53:57" id="1:10:2005:21:23:2">
// This script was created by AcroButtons from Windjack Solutions, www.windjack.com
// Do not modify the code inbetween the AcroButtons Tags
// Moving or changing tag positions can compromise AcroButtons' ability to handle
// this file
// Place Extra-AcroButton Code in the following "Code Above" Section
//
///////////////////////////////////////////////////////////////////////
//
//  Resize Pages Automation Tool
// 
//  Resizes any of the Page boxes by a specified amount within a specified
//  page range.  User chooses a corner or edge of the page as an anchor point
//  then the other edges are expanded or shrunken to fit a predetermined size.
//
//  Requires Acrobat Standard or Professional, version 6 or later.
//




var blnDlgDebug = false;

// Function to round a number using the \"symmetric arithmetic\" method.
// \"factor\" (default 1) can be used to round to a specific number of decimal places.
// For example, a factor of 100 rouns to 2 decimal places.\n" +
// Algorithm adapted from http://support.microsoft.com/default.aspx?scid=kb;en-us;196652
function SymArithRound(x, factor) {
   // original VB code:  SymArith = Fix(x * factor + 0.5 * Sgn(x)) / factor
   // test and return if x = 0 to avoid problems with \"sign\" code below
   if (0 == x) { return 0; }
   // Set default value for \"factor\" if not specified.
   if ( arguments.length < 2 ) {
      var fac = 1;
   } else {
      var fac = factor;
   }
   // JavaScript has no \"sign\" function, so we need to do it ourselves.
   if (x > 0) {
      var rnd = 0.5;
   } else {
      var rnd = -0.5;
   }
   var result = Fix(x * fac + rnd) / fac;
   //console.println(\'SymArithRound: x, factor =\' + x + \', \' + fac + \', result = \' + result);
   return result;
}

function Fix(x) {
   // Returns the integer portion of real value \"x\".  JavaScript doesn\'t have this operation, either!!
   //var fixed = x - (x % 1);
   //console.println(\'Fix(\' + x + \') = \' + fixed);
   //return fixed;\n" +
   return x - (x % 1);
}

// Paper size list used in both new Doc and resize pages
var sizeListReSize =
[
{name:"Letter",w:612,h:792},
{name:"Legal",w:612,h:1008},
{name:"Executive",w:522,h:756},
{name:"A0",w:2384,h:2835},
{name:"A1",w:1684,h:2384},
{name:"A2",w:1190,h:1684},
{name:"A3",w:842,h:1190},
{name:"A4",w:595,h:842},
{name:"A5",w:420,h:595},
{name:"A6",w:298,h:420},
{name:"A7",w:209,h:298},
{name:"B0",w:2384,h:4008},
{name:"B1",w:2004,h:2835},
{name:"B2",w:1417,h:2004},
{name:"B3",w:1001,h:1417},
{name:"B4",w:709,h:1001},
{name:"B5",w:499,h:709},
{name:"B6",w:354,h:499},
{name:"B7",w:249,h:354},
{name:"B8",w:176,h:249},
{name:"B9",w:125,h:176},
{name:"B10",w:88,h:125},
{name:"C2",w:1837,h:1298},
{name:"C3",w:578,h:919},
{name:"C4",w:919,h:649},
{name:"C5",w:649,h:459},
{name:"C6",w:459,h:323}
];

if(app.viewerVersion >= 7) 
{
  var DoResizeDialog = app.trustedFunction(function(oDlg)
  {
      var cRtn = null;
        app.beginPriv();
        oTrustDlg =  ANTrustPropagateAll(oDlg);
        cRtn = oTrustDlg.DoDialog();
        app.endPriv();
      return cRtn;
  });
}
else
  var DoResizeDialog = function(oDlg){return oDlg.DoDialog();};



//<CodeAbove>
function DoResize(theDoc,fromPage,toPage,doEven,doOdd,h,w,tmb,lcr,boxes)
{
   var i, inc=0, blnEvenPage;
   var ibox, boxType, obox, ollx, olly, ourx, oury;
   var nbox = new Array(3);

   app.thermometer.duration = toPage - fromPage;
   app.thermometer.begin();
  
   for (i = fromPage; i <= toPage; i++) {
      if(app.thermometer.cancelled) break;
  
			app.thermometer.value =  ++inc;
			app.thermometer.text = "Page: " + inc.toString();

      blnEvenPage = (i % 2) != 0;   // note reversed test!
      if ( (blnEvenPage && doEven) || (! blnEvenPage && doOdd) ) {
         if (blnDlgDebug) {console.println('processing actual page ' + (i+1));}
         // Calculate the new coordinates based on the anchor position
         for (ibox = 0; ibox < boxes.length; ibox++) {
            boxType = boxes[ibox];
            if (blnDlgDebug) {console.println('  processing box ' + ibox + ', Type ' + boxType);}
            obox = theDoc.getPageBox({cBox: boxType, nPage: i});
            // normalize the page box (the PDF reference says we'd better do this)
            ollx = Math.min (obox[0], obox[2]);
            olly = Math.min (obox[1], obox[3]);
            ourx = Math.max (obox[0], obox[2]);
            oury = Math.max (obox[1], obox[3]);
            if (blnDlgDebug) {console.println('  obox= ' + ollx + ', ' + olly + ', ' + ourx + ', ' + oury);}
            switch (tmb) {
               case 'T':
                  nbox[1] = oury - h;
                  nbox[3] = oury;
                  break;
               case 'M':
                  nbox[1] = (olly + oury - h)/2;
                  nbox[3] = (olly + oury + h)/2;
                  break;
               case 'B':
                  nbox[1] = olly;
                  nbox[3] = olly + h;
                  break;
            }
            switch (lcr) {
               case 'L':
                  nbox[0] = ollx;
                  nbox[2] = ollx + w;
                  break;
               case 'C':
                  nbox[0] = (ollx + ourx - w)/2;
                  nbox[2] = (ollx + ourx + w)/2;
                  break;
               case 'R':
                  nbox[0] = ourx - w;
                  nbox[2] = ourx;
                  break;
            }
            if (blnDlgDebug) {console.println('  nbox= ' + nbox[0] + ', ' + nbox[1] + ', ' + nbox[2] + ', ' + nbox[3]);}
            // Now round the new coordinates.
            for (var j=0; j<3; j++) {
               nbox[j] = SymArithRound(nbox[j], 10000);
            }
            if (blnDlgDebug) {console.println('  rounded nbox= ' + nbox[0] + ', ' + nbox[1] + ', ' + nbox[2] + ', ' + nbox[3]);}
            // Now we actually resize the page!
            obox = theDoc.setPageBoxes({cBox: boxType, nStart: i, nEnd: i, rBox: nbox});
         } // end for each box type
      } // end if page should be processed
   } // end for each page
   app.thermometer.end();
}


var m_bLastMult = 1;
var m_numPages;
var m_pageNum;
var dlgValues = {w:0, h:0, units:1, anchor:"", range:"", fromPage:0, toPage:0, oddeven:"", boxes:""};
		
var strBlankButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconBlank = {count: 0, width: 20, height: 20,
read: function(nBytes){return strBlankButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var  strRightButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconRight = {count: 0, width: 20, height: 20,
read: function(nBytes){return strRightButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var strAnchorButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconAnchor = {count: 0, width: 20, height: 20,
read: function(nBytes){return strAnchorButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var strLeftButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconLeft = {count: 0, width: 20, height: 20,
read: function(nBytes){return strLeftButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var  strTopButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconTop = {count: 0, width: 20, height: 20,
read: function(nBytes){return strTopButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var  strBottomButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconBottom = {count: 0, width: 20, height: 20,
read: function(nBytes){return strBottomButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var  strSEButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080" +
"FF808080FF808080FF808080FF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080" +
"FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconSE = {count: 0, width: 20, height: 20,
read: function(nBytes){return strSEButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var  strSWButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF808080FF808080FF808080" +
"FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080" +
"FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconSW = {count: 0, width: 20, height: 20,
read: function(nBytes){return strSWButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var  strNEButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080" +
"FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080" +
"FF808080FF808080FF808080FF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconNE = {count: 0, width: 20, height: 20,
read: function(nBytes){return strNEButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
var  strNWButImg = 
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFF" +
"FFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFFFDFFFFFF808080" +
"FFFDFFFFFFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0" +
"FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FFBEC0C0FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF00FFFF" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080" +
"FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080" +
"FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF00FFFFFF808080FF808080FF808080" +
"FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF00FFFFFF00FFFFFF00FFFFFF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080" +
"FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF808080FF000000FF004040" +
"FFFDFFFFFFBEC0C0FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000" +
"FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF000000FF004040" +
"FFFDFFFFFF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040" +
"FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040FF004040";
var oIconNW = {count: 0, width: 20, height: 20,
read: function(nBytes){return strNWButImg.slice(this.count, this.count += nBytes);},
getIcon: function(){this.count=0;return this;}};
//</CodeAbove>

//<JSCodeSnippet name="ImageData6">
var strData6Resize = 
"FF4141ADFF6767C1FF6666C1FF6666C1FF6666C1FF6666C1FF6666C1FF6666C1FF6666C1FF6666C1" +
"FF6666C1FF6266C1FF6266C1FF6266C1FF5A60BFFF26279FFF4749B3FFABACDE00C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF5F5FBEFFF9F9FEFFFEFEFFFFFEFEFFFFFEFEFF" +
"FFFEFEFFFFFEFEFFFFFEFEFFFFFEFEFFFFF9FCFFFFF7FCFFFFF1FCFFFFE9F7FFFFE6F9FFFFD1E5F9" +
"FF3033A8FF2E63C4FF2638ACFF5654BB00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"FF5E5EBDFFFBFBFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCFEFF" +
"FFF7FEFFFFF4F9FFFFE9F9FFFFE6F9FFFFD1E5F9FF3033A8FF316BC7FF2372CBFF2031A8FF5654BB" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0FF5E5EBDFFFBFBFEFFFFFFFFFFFFFFFFFFFFFFFF" +
"FFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFFFFF9FCFFFFF4F9FFFFECF8FFFFE5F5FFFFE1F7FFFFCBE2F9" +
"FF3033A8FF316BC7FF2372CBFF0D57BFFF192DA5FF5654BB00C0C0C000C0C0C000C0C0C000C0C0C0" +
"FF5E5EBDFFFBFBFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCFEFFFFF7FCFF" +
"FFF1F8FFFFE9F7FFFFE2F4FFFFDEF4FFFFC7E1F9FF3033A8FF316BC7FF2372CBFF0D57BFFF084EB8" +
"FF192DA5FF5654BB00C0C0C000C0C0C000C0C0C0FF5E5EBDFFFBFBFEFFFFFFFFFFFFFFFFFFFFFFFF" +
"FFFFFFFFFFFFFFFFFFFCFEFFFFF8FEFFFFF7FCFFFFECF8FFFFE8F7FFFFE2F4FFFFDBF5FFFFC7E1F9" +
"FF2C31A5FF1651BBFF0D57BFFF0544B5FF0345B7FF0544B5FF192DA5FF534FB700C0C0C000C0C0C0" +
"FF5E5EBDFFFBFBFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCFEFFFFF7FCFFFFACB4B0" +
"FF000000FF00000000B7C8D1FFD7F2FFFFC3E1FBFF363AACFF232FA5FF2333A9FF2131A8FF2131A8" +
"FF2031A8FF232AA3FF2828A2FF2828A200C0C0C0FF5E5EBDFFFBFBFEFFFFFFFFFFFFFFFFFFFFFFFF" +
"FFFFFFFFFFFFFFFFFFF7FEFF00BBBFBDFF000000FFDBC21FFFBC9209FF000000FFA8C3CFFFC3E6FF" +
"FF8296DFFF6D81D8FF6D81D8FF657FD8FF657FD8FF657FD8FF4960CAFF2A2FA8FF2A2FA800C0C0C0" +
"FF5E5EBDFFFBFBFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF00C2C4C0FF000000FFD8D439" +
"FFFFEE28FFFFCB0BFFC28200FF000000FFA8C3CFFFB8E1FFFF95B7F2FF86ABEFFF86ABEFFF7CA7EE" +
"FF7CA7EEFF5471D2FF2A2FA8FF2A2FA800C0C0C0FF5E5EBDFFFBFBFEFFFFFFFFFFF8F8F7FFFEFEFF" +
"FFF9F9F9FFACB4B0FF000000FFE1E148FFFFFC44FFFFE126FFFFC40BFFFFB401FFC77900FF000000" +
"FF9CBDCEFFA9D8F8FFA3D1F1FF9ACFF8FF97D2FEFF94D2FFFF597BD8FF292DA7FF292DA700C0C0C0" +
"FF5E5EBDFFFEFEFFFFF8F8F7FFFFFFFFFFDFE1E1FFFFFFFFFF858C88FF000000FF000000FF000000" +
"FFFFE928FFFFC70BFF000000FF000000FF000000FF8DD2FFFF8DD2FFFFA9D8F8FFA9D8F8FFA9D8F8" +
"FF94DBFFFF597BD8FF292DA7FF292DA700C0C0C0FF5E5EBDFFFEFEFFFFF8F8F7FFFFFFFFFF000000" +
"FF000000FFFFFFFFFF858C88FF858C88FF000000FFFFF22AFFFFCB0BFF000000FF81D1FFFFA9D8F8" +
"FFA9D8F8FF000000FF000000FFA9D8F8FFA9D8F8FF94DBFFFF597BD8FF292DA7FF292DA700C0C0C0" +
"FF5E5EBDFFFBFBFEFFFEFEFFFF000000FF7A4C00FF000000FFFFFFFFFFDEE9F2FFACB4B0FF000000" +
"FFFFF22AFFFFCB0BFF000000FF81D1FFFFA3D1F1FF9BC4DCFF000000FF848429FF000000FF8CCDF8" +
"FF8DD2FFFF597BD8FF292DA7FF292DA700C0C0C0FF5E5EBDFFFBFBFEFF000000FF7A4C00FFF7A000" +
"FF000000FF000000FF000000FF000000FF000000FFFFF42DFFFECA0DFF000000FF000000FF000000" +
"FF000000FF000000FFFBFB50FF787928FF000000FF88CEFCFF567AD8FF292DA7FF292DA700C0C0C0" +
"FF5E5EBDFF000000FF715102FFF8B104FFFFBC04FFE3A705FFCD9403FFCD9403FFC78D02FFCE9F0C" +
"FFFFD81EFFFFCB12FFF7E12EFFD7CB2CFFCFC429FFD7CB2CFFEEDF36FFFFFC44FFF9EF39FF79721B" +
"FF000000FF547AD8FF292DA7FF292DA700C0C0C0FF5E5EBDFF000000FFECC718FFFFDC18FFFFD518" +
"FFFFD518FFFFDE1AFFFFDC18FFFFD814FFFFD414FFFFD71BFFFFCB12FFFFD414FFFFDE1AFFFFDE1A" +
"FFFFE11DFFFFDB1CFFFFD71BFFFFE11DFFECC718FF000000FF5479D8FF292DA7FF292DA700C0C0C0" +
"FF5E5EBDFF000000FF958A1DFFFFF236FFFFF236FFFBE934FFEFDF2FFFEEDC2CFFEEDF36FFF7E12E" +
"FFFFCB12FFFFD81EFFE3A705FFE3A705FFF1B006FFF1B006FFF9B707FFFFBF06FFFFBF06FF906B04" +
"FF000000FF5479D8FF292DA7FF292DA700C0C0C0FF5E5EBDFFE6E8EBFF000000FF94922DFFFBFB50" +
"FF000000FF000000FF000000FF000000FF000000FFFFCD0DFFFFF42BFF000000FF000000FF000000" +
"FF000000FF000000FFFFA900FF945D00FF000000FF7EC4F7FF5378D8FF292DA7FF292DA700C0C0C0" +
"FF5E5EBDFFF9FCFFFFF5F9F8FF000000FF9B9B31FF000000FFD4EEFFFFD4EEFFFFD4EEFFFF000000" +
"FFFFCB0BFFFFF22AFF000000FFA9D8F8FFA9D8F8FFA9D8F8FF000000FF945D00FF000000FF81D1FF" +
"FF82CFFFFF5276D8FF282CA7FF282CA700C0C0C0FF5E5EBDFFF9FCFFFFF4F9F9FFFFFFFFFF000000" +
"FF000000FFD4EEFFFFD4EEFFFFD4EEFFFF000000FFFFCB0BFFFFF22AFF000000FFA9D8F8FFA9D8F8" +
"FFA9D8F8FF000000FF000000FF81D1FFFF81D1FFFF81D1FFFF5276D8FF282CA7FF282CA700C0C0C0" +
"FF5E5EBDFFF7FCFFFFF7FCFFFFFFFFFFFFD4EEFFFFD4EEFFFFD4EEFFFF000000FF000000FF000000" +
"FFFFC70BFFFFE928FF000000FF000000FF000000FF8DD2FFFF8DD2FFFF81D1FFFF81D1FFFF81D1FF" +
"FF7BCBFFFF4F76D9FF282CA7FF282CA700C0C0C0FF5E5EBDFFF4F9FFFFF4FCFFFFF2FEFFFFEBFBFF" +
"FFE5F9FFFFD4EEFFFF000000FFC77900FFFFB401FFFFC40BFFFFE126FFFFFC44FFE1E148FF000000" +
"FF81D1FFFF8DD2FFFF87CFFFFF82CFFFFF7CC8FFFF79C7FFFF4E74D8FF282CA7FF282CA700C0C0C0" +
"FF5D5EBDFFF1F8FFFFF1FCFFFFE9F9FFFFE2F4FFFFDBF2FFFFD4EEFFFFA8C3CFFF000000FFC28200" +
"FFFFCB0BFFFFEE28FFD8D439FF000000FF79A2B9FF8CCFFFFF8ACEFFFF82CAFFFF7ECAFFFF7AC7FF" +
"FF76C7FFFF4E74D8FF282CA7FF282CA700C0C0C0FF5D5EBDFFEFF5FEFFF1F8FFFFE5F5FFFFDEF4FF" +
"FFD7F1FFFFCEECFFFFC3E9FFFF9CBDCEFF000000FFBC9209FFDBC21FFF000000FF79A2B9FF91D1FF" +
"FF8ACEFFFF85CBFFFF82CAFFFF7CC8FFFF79C7FFFF76C7FFFF4E74D8FF282CA7FF282CA700C0C0C0" +
"FF5A5DBDFFEEF5FEFFECF8FFFFE5F5FFFFDBF2FFFFD4EFFFFFCBEBFFFFC3E6FFFFB8E3FFFF95BBD1" +
"FF000000FF000000FF79A2B9FF96D4FFFF8DD1FFFF86CEFFFF82CAFFFF7FC8FFFF7AC7FFFF79C6FF" +
"FF76C7FFFF4E74D8FF282CA7FF282CA700C0C0C0FF5A5DBDFFE9F7FFFFE9F7FFFFE1F7FFFFD7F2FF" +
"FFCEECFFFFC7E9FFFFBCE6FFFFB8E3FFFFAFDFFFFFA8DCFFFFA0D9FFFF9AD5FFFF94D2FFFF8CCFFF" +
"FF86CEFFFF82CAFFFF7CC8FFFF79C6FFFF75C3FFFF75C6FFFF4E74D8FF282CA7FF282CA700C0C0C0" +
"FF5B5DBDFFE3F4FEFFE5F5FFFFDEF4FFFFD4EFFFFFCBECFFFFC3E9FFFFB8E3FFFFB3E1FFFFAFDFFF" +
"FFA4DBFFFF9CD8FFFF97D2FEFF91D1FFFF8ACEFFFF85CBFFFF7FC8FFFF7AC7FFFF79C6FFFF75C3FF" +
"FF75C6FFFF4E74D8FF282CA7FF282CA700C0C0C0FF5B5DBDFFE3F4FEFFE1F7FFFFDBF2FFFFD4EFFF" +
"FFCBECFFFFC3E6FFFFB5E5FFFFAFDFFFFFA8DCFFFFA0D9FFFF99D7FFFF94D2FFFF8DD1FFFF86CEFF" +
"FF80CBFFFF7FC8FFFF7AC4FFFF75C3FFFF75C6FFFF75C6FFFF4E74D8FF282CA7FF282CA700C0C0C0" +
"FF5A5DBDFFE2F4FFFFE1F7FFFFD7F2FFFFCFF1FFFFC8ECFFFFBCE6FFFFB5E5FFFFAFDFFFFFA7DEFF" +
"FFA0DBFFFF97D8FFFF91D5FFFF8CD2FFFF86CEFFFF80CBFFFF7CC8FFFF79C7FFFF75C6FFFF75C6FF" +
"FF76C7FFFF4F76D9FF282CA7FF282CA700C0C0C0FF4F52B9FF909CDFFF909CDFFF8A9BDFFF8296DF" +
"FF8296DFFF7A94DFFF7A94DFFF708FDFFF708FDFFF708FDFFF658BDFFF658BDFFF5F87DFFF5F87DF" +
"FF5986DFFF5986DFFF5582DFFF5582DFFF5582DFFF5684DFFF4960CAFF282CA7FF282CA700C0C0C0" +
"FF2D2DA4FF3537ACFF3336ABFF3336ABFF3336ABFF3336ABFF3336ABFF3134ABFF3035ABFF2E34AB" +
"FF2E34ABFF2E34ABFF2D33ABFF2D33ABFF2B33ABFF2B33ABFF2B33ABFF2B33ABFF2B33ABFF2B33AB" +
"FF2B33ABFF2A2FA8FF2324A0FF2324A000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0" +
"00C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C000C0C0C0";
//</JSCodeSnippet>

//<JSCodeSnippet name="ImageData7">
var strData7Resize = 
"FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7" +
"FFABABE200C0C0C000C0C0C000C0C0C000C0C0C0FF4040B7FFB1B1E5FFB1B1E5FFB1B1E5FFB1B1E5" +
"FFB1B1E5FFB1B1E5FFB1B1E5FFB1B1E5FFB1B1E5FF4040B7FFABABE200C0C0C000C0C0C000C0C0C0" +
"FF4040B7FFB1B1E5FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFEFFFF402E00FFF5FCFFFFF1F9FF" +
"FF5FA4E1FF3F90D9FF4040B7FFABABE200C0C0C0FF4040B7FFB1B1E5FFFFFFFFFFFFFFFFFFFFFFFF" +
"FFFFFFFFFF402E00FFFFE945FF402E00FFEFF8FFFF5FA4E1FF3F90D9FF1E78CFFF4040B7FFABABE2" +
"FF4040B7FFB1B1E5FFFFFFFFFFFFFFFFFFFFFFFFFF402E00FFFFE945FFFFE945FFFFE945FF402E00" +
"FF318AD7FF207CD2FF0F6DCDFF0F6DCDFF4040B7FF4040B7FFB1B1E5FFFFFFFFFFFFFFFFFF402E00" +
"FFFFE945FFFFCB12FFFFE946FFFFFF76FFFFE945FF402E00FF4040B7FF4040B7FF4040B7FF4040B7" +
"FF4040B7FFB1B1E5FFFFFFFFFF464F54FFFFFFFFFF402E00FF544306FFFFE945FF545427FF40401D" +
"FF90A4E5FF737373FF90A4E5FF90A4E5FF687AD4FF4040B7FFB1B1E5FFFFFFFFFF402E00FF959595" +
"FF959595FF403304FFFFE945FF40401DFFDFF4FFFFB8C4CDFF616365FFC6E8FFFFBFE6FFFF687AD4" +
"FF4040B7FFB1B1E5FF402E00FFFFE945FF40401DFFB8C4CDFF403304FFFFE945FF40401DFFDCF2FF" +
"FF40401DFFFFE945FF3B3B3BFFBDE5FFFF687AD4FF4040B7FF402E00FFFFE945FFFFE945FF545427" +
"FF40401DFF40401DFFFFE945FF40401DFF40401DFF545427FFFFFF76FFFFE945FF402E00FF687AD4" +
"FF402E00FFFFE945FFFFE945FFFFE946FFFFE945FFFFE945FFFFE945FFFFE945FFFFE945FFFFE945" +
"FFFFE945FFFFE946FFFFE945FFFFE945FF402E00FF4040B7FF402E00FFFFE945FFFFCB12FF544306" +
"FF403304FF403304FFFFE945FF40401DFF403304FF544306FFFFCB12FFFFE945FF402E00FF687AD4" +
"FF4040B7FFB1B1E5FF402E00FFFFE945FF402E00FFE5F5FFFF403304FFFFE945FF40401DFFCDECFF" +
"FFC0E6FFFFFFE945FF402E00FFADDFFFFF687AD4FF4040B7FFB1B1E5FFF8FCFFFF402E00FF959595" +
"FFE2F4FFFF544306FFFFE945FF545427FF40401DFFBCE5FFFF402E00FFB1DFFFFFABDEFFFF687AD4" +
"FF4040B7FFB1B1E5FFF7FBFFFFF2F9FFFF402E00FFFFE945FFFFCB12FFFFE946FFFFFF76FFFFE945" +
"FF402E00FFB3E2FFFFADDEFFFFA8DCFFFF687AD4FF4040B7FFB1B1E5FFF4FBFFFFEFF9FFFFE8F7FF" +
"FF402E00FFFFE945FFFFE945FFFFE945FF402E00FFB7E2FFFFB1DFFFFFACDEFFFFA5DBFFFF687AD4" +
"FF4040B7FFB1B1E5FFF2F9FFFFEBF8FFFFE6F5FFFFD9F1FFFF402E00FFFFE945FF402E00FFBFE5FF" +
"FFB4E1FFFFAFDEFFFFA9DCFFFFA4DBFFFF687AD4FF4040B7FFB1B1E5FFEBF8FFFFE5F5FFFFE1F4FF" +
"FFD4EEFFFFCDEBFFFF402E00FFC0E6FFFFB9E3FFFFAFDFFFFFA8DCFFFFA3DBFFFF9FD8FFFF687AD4" +
"FF4040B7FF687AD4FF687AD4FF687AD4FF687AD4FF687AD4FF687AD4FF687AD4FF687AD4FF687AD4" +
"FF687AD4FF687AD4FF687AD4FF687AD4FF687AD4FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7" +
"FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7FF4040B7";
//</JSCodeSnippet>


// Icon Generic Stream Object
//<JSCodeSnippet name="ButtonIconDef">
var oIconResize = null;
if(app.viewerVersion < 7){
oIconResize = {count: 0, width: 25, height: 32,
read: function(nBytes){return strData6Resize.slice(this.count, this.count += nBytes);}};
}else{
oIconResize = {count: 0, width: 15, height: 20,
read: function(nBytes){return strData7Resize.slice(this.count, this.count += nBytes);}};
}
//</JSCodeSnippet>

//<JSCodeSnippet name="EventCode">
var DoCmdResize = 
"// debug flag for the button code.\n" +
"var blnDebug = false;\n" +
"\n" +
"// debug flag for the dialog box.  Note sure why this needs to be both\n" +
"// here and in the \"code above\" for the button.\n" +
"var blnDlgDebug = false;\n" +
"\n" +
"// ------------ beginning of dialog box code -------------\n" +
"  var ResizePageDlg =\n" +
"  {\n" +
"    nActiveAnchor: 4,\n" +
"    DoDialog: function()\n" +
"    {\n" +
"      if(app.viewerVersion >= 7) app.beginPriv();\n" +
"      return app.execDialog(this);\n" +
"      if(app.viewerVersion >= 7) app.endPriv();\n" +
"    },\n" +
"    initialize: function(dialog)\n" +
"    {\n" +
"      this.nActiveAnchor = 4;\n" +
"      this.result = \"Cancel\";\n" +
"      dialog.load(\n" +
"        {\n" +
"          \"ckTr\": true,\n" +
"          \"ckAr\": true,\n" +
"          \"ckBl\": true,\n" +
"          \"ckMe\": true,\n" +
"          \"ckCr\": true,\n" +
"          \"pEvn\": \n" +
"          {\n" +
"            \"1. All Pages\": 1,\n" +
"            \"2. Odd Pages Only\": -2,\n" +
"            \"3. Even Pages Only\": -3,\n" +
"          },\n" +
"          \"rAll\": true,\n" +
"          \"Rad1\": true,\n" +
"          \"A_MC\": true,\n" +
"        }\n" +
"      );\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconNW.getIcon(),  \"A_TC\":oIconTop.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconNE.getIcon() });\n" +
"      dialog.load({ \"A_ML\":oIconLeft.getIcon(),\"A_MC\":oIconAnchor.getIcon(),\"A_MR\":oIconRight.getIcon() });\n" +
"      dialog.load({ \"A_BL\":oIconSW.getIcon(), \"A_BC\":oIconBottom.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconSE.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"\n" +
"      dialog.enable(\n" +
"        {\n" +
"          \"tTPg\": false,\n" +
"          \"tFPg\": false,\n" +
"          \"hght\": false,\n" +
"          \"wdth\": false,\n" +
"        }\n" +
"      );\n" +
"// This array holds the document names and sizes for the \'psiz\' control.\n" +
"// The initial value is set below.\n" +
"var oPsizInit =  {\n" +
"	\"Custom\": -1,\n" +
"	\"Letter\": -1,\n" +
"	\"Legal\": -2,\n" +
"	\"Executive\": -3,\n" +
"	\"A0\": -2,\n" +
"	\"A1\": -3,\n" +
"	\"A2\": -4,\n" +
"	\"A3\": -5,\n" +
"	\"A4\": -6,\n" +
"	\"A5\": -7,\n" +
"	\"A6\": -8,\n" +
"	\"A7\": -9,\n" +
"	\"B0\": -9,\n" +
"	\"B1\": -9,\n" +
"	\"B2\": -9,\n" +
"	\"B3\": -9,\n" +
"	\"B4\": -9,\n" +
"	\"B5\": -9,\n" +
"	\"B6\": -9,\n" +
"	\"B7\": -9,\n" +
"	\"B8\": -1,\n" +
"	\"B9\": -1,\n" +
"	\"B10\": -1,\n" +
"	\"C2\": -1,\n" +
"	\"C3\": -1,\n" +
"	\"C4\": -1,\n" +
"	\"C5\": -1,\n" +
"	\"C6\": -1,\n" +
"	};\n" +
"\n" +
"// Get page # and # of pages for use later.\n" +
"m_numPages = app.doc.numPages;\n" +
"//--------test setup--------//\n" +
"m_pageNum = app.doc.pageNum;   // use in real environment\n" +
"//m_pageNum = 2;   // use for testing in dialog editor\n" +
"\n" +
"// Set up the size fields.  Use the width and height of the current page\'s crop box\n" +
"// as the intial values.  See if these match any of the choices in the \'psiz\' list,\n" +
"// and if they do, select that choice as the initial choice.  Otherwise select \"custom\".\n" +
"// First, get the current page size.  There\'s no guaranee that the coords are ll, ur.\n" +
"//--------test setup--------//\n" +
"var obox = app.doc.getPageBox({cBox: \'Crop\', nPage: m_pageNum});   // use in real environment\n" +
"//var obox = new Array(524, 756, 0 ,0);   // use for testing in dialog editor\n" +
"var curw = obox[2] - obox[0];\n" +
"if (curw < 0) { curw = - curw; }\n" +
"var curh = obox[3] - obox[1];\n" +
"if (curh < 0) { curh = - curh; }\n" +
"if (blnDlgDebug) {console.println(\'current page crop w,h = \' + curw + \', \' + curh);}\n" +
"dialog.load({\'wdth\': curw});\n" +
"dialog.load({\'hght\': curh});\n" +
"// now see if it\'s in the psiz list\n" +
"var bFound = false;\n" +
"for(var entry in sizeListReSize) {\n" +
"   if ( (sizeListReSize[entry][\'w\'] == curw) && (sizeListReSize[entry][\'h\'] == curh) ) {\n" +
"      if (blnDlgDebug) {console.println(\'have sizeListReSize match on \' + sizeListReSize[entry][\'name\']);}\n" +
"      oPsizInit[sizeListReSize[entry][\'name\']] = 1;\n" +
"      bFound = true;\n" +
"      break;\n" +
"   }\n" +
"}\n" +
"if ( ! bFound ) {\n" +
"   if (blnDlgDebug) {console.println(\'no size match, setting size to Custom.\');}\n" +
"   oPsizInit[\'Custom\'] = 1;\n" +
"   m_bLastMult = 1;\n" +
"   dialog.enable({\'wdth\': true, \'hght\': true});\n" +
"}\n" +
"\n" +
"// Initialize the drop-down list.\n" +
"dialog.load({\'psiz\': oPsizInit});\n" +
"// Finally, refresh the values.\n" +
"//this[\"psiz\"](dialog); \n" +
"// Set up default \'from\' and \'to\' page numbers, and the \'of n\' text label.\n" +
"// Default \'from\' page is current page.\n" +
"// Default \'to\' page is the last page in the document.\n" +
"dialog.load({\"sOfN\": \'of \' + m_numPages.toString()});\n" +
"dialog.load({\"tFPg\": (m_pageNum+1).toString()});   // account for 0-based numbering\n" +
"dialog.load({\"tTPg\": m_numPages.toString()});\n" +
"\n" +
"\n" +
"    },\n" +
"    validate: function(dialog)\n" +
"    {\n" +
"var rslt = dialog.store();\n" +
"var strErr = \"\";\n" +
"// decode the psiz value.\n" +
"var psiz;\n" +
"for(var entry in rslt[\"psiz\"]) {\n" +
"   if (rslt[\"psiz\"][entry]> 0) {\n" +
"      psiz = entry;\n" +
"      break;\n" +
"   }\n" +
"}\n" +
"if (\"Custom\" == psiz) {\n" +
"   // validate the height and width.\n" +
"   var hght = rslt[\"hght\"];\n" +
"   if (hght.match(/[^0-9\\.]/) != null) {\n" +
"      strErr += \"The page height is not numeric.\\n\";\n" +
"   } else {\n" +
"      if (hght <= 0) {\n" +
"         strErr += \"The page height must be greater than zero.\\n\";\n" +
"      }\n" +
"   }\n" +
"   var wdth = rslt[\"wdth\"];\n" +
"   if (wdth.match(/[^0-9\\.]/) != null) {\n" +
"      strErr += \"The page width is not numeric.\\n\";\n" +
"   } else {\n" +
"      if (wdth <= 0) {\n" +
"         strErr += \"The page width must be greater than zero.\\n\";\n" +
"      }\n" +
"   }\n" +
"}\n" +
"if (rslt[\"rFro\"] > 0) {\n" +
"   // validate the starting and ending page numbers.\n" +
"   var tFPg = rslt[\"tFPg\"];\n" +
"   if (tFPg.match(/\\D/) != null) {\n" +
"      strErr += \"The \'from\' page number is not numeric.\\n\";\n" +
"   } else {\n" +
"      if ( ( tFPg > m_numPages) || (tFPg <= 0) ) {\n" +
"         strErr += \"The \'from\' page number is out of range.\\n\";\n" +
"      }\n" +
"   }\n" +
"   var tTPg = rslt[\"tTPg\"];\n" +
"   if (tTPg.match(/\\D/) != null) {\n" +
"      strErr += \"The \'to\' page number is not numeric.\\n\";\n" +
"   } else {\n" +
"      if ( (tTPg > m_numPages) || (tTPg <= 0) ) {\n" +
"         strErr += \"The \'to\' page number is out of range.\\n\";\n" +
"      }\n" +
"   }\n" +
"   if (tFPg > tTPg) {\n" +
"      strErr += \"The \'from\' page number is larger than the \'to\' page number.\\n\";\n" +
"   }\n" +
"}\n" +
"// make sure at least one \"apply to\" box is checked.\n" +
"if ( ! ( rslt[\"ckAr\"] || rslt[\"ckBl\"] || rslt[\"ckCr\"] || rslt[\"ckMe\"] || rslt[\"ckTr\"] ) ) {\n" +
"   strErr += \"At least one \'apply to\' box must be selected.\\n\";\n" +
"}\n" +
"if (strErr != \"\") {\n" +
"   app.alert(strErr);\n" +
"   return(false);\n" +
"}\n" +
"return(true);\n" +
"    },\n" +
"    commit: function(dialog)\n" +
"    {\n" +
"try{\n" +
"var rslt = dialog.store();\n" +
"dlgValues.h = rslt[\"hght\"];\n" +
"dlgValues.w = rslt[\"wdth\"];\n" +
"dlgValues.units = m_bLastMult;\n" +
"}catch(e){console.println(e);}\n" +
"var an;\n" +
"switch(this.nActiveAnchor)\n" +
"{\n" +
"   case 0:\n" +
"       an = \"TL\";\n" +
"      break;\n" +
"   case 1:\n" +
"       an = \"TC\";\n" +
"      break;\n" +
"   case 2:\n" +
"       an = \"TR\";\n" +
"      break;\n" +
"   case 3:\n" +
"       an = \"ML\";\n" +
"      break;\n" +
"   case 4:\n" +
"       an = \"MC\";\n" +
"      break;\n" +
"   case 5:\n" +
"       an = \"MR\";\n" +
"      break;\n" +
"   case 6:\n" +
"       an = \"BL\";\n" +
"      break;\n" +
"   case 7:\n" +
"       an = \"BC\";\n" +
"      break;\n" +
"   case 8:\n" +
"       an = \"BR\";\n" +
"      break;\n" +
"}\n" +
"\n" +
"dlgValues.anchor = an;\n" +
"var ra;\n" +
"if (rslt[\"rAll\"]) {ra = \"all\"};\n" +
"if (rslt[\"rCur\"]) {ra = \"current\"};\n" +
"if (rslt[\"rFro\"]) {\n" +
"   ra = \"range\";\n" +
"   dlgValues.fromPage = rslt[\"tFPg\"];\n" +
"   dlgValues.toPage = rslt[\"tTPg\"];\n" +
"};\n" +
"dlgValues.range = ra;\n" +
"var arBx = new Array();\n" +
"if (rslt[\"ckAr\"]) {arBx.push(\"Art\")};\n" +
"if (rslt[\"ckBl\"]) {arBx.push(\"Bleed\")};\n" +
"if (rslt[\"ckCr\"]) {arBx.push(\"Crop\")};\n" +
"if (rslt[\"ckMe\"]) {arBx.push(\"Media\")};\n" +
"if (rslt[\"ckTr\"]) {arBx.push(\"Trim\")};\n" +
"dlgValues.boxes =arBx;\n" +
"//console.println(\"type of evenodd is \" + typeof(rslt[\"pEvn\"]));\n" +
"for (var i in rslt[\"pEvn\"]) {\n" +
"   //console.println(\"i=\" + i + \", val=\" + rslt[\"pEvn\"][i]);\n" +
"   if (rslt[\"pEvn\"][i] > 0) {\n" +
"      dlgValues.oddeven = i;\n" +
"      break;\n" +
"   }\n" +
"}\n" +
"\n" +
"if (blnDlgDebug) {\n" +
"   console.println(\"\\nThe envelope, please...\");\n" +
"   for (fld in dlgValues) {\n" +
"      console.println(fld + \": \" + dlgValues[fld]);\n" +
"   }\n" +
"}\n" +
"    },\n" +
"    \"A_TL\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 0;\n" +
"          if(app.viewerVersion > 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TC\":true,\"A_TR\":true,\n" + 
"                         \"A_ML\":true,\"A_MC\":true,\"A_MR\":true,\n" +
"                         \"A_BL\":true,\"A_BC\":true,\"A_BR\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconAnchor.getIcon(),  \"A_TC\":oIconRight.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconBlank.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_ML\":oIconBottom.getIcon(),\"A_MC\":oIconSE.getIcon()});\n" +
"      dialog.load({ \"A_MR\":oIconBlank.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_BL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_BC\":oIconBlank.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconBlank.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"\n" +
"     },\n" +
"    \"A_TC\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 1;\n" +
"          if(app.viewerVersion > 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TL\":true,\"A_TR\":true,\n" + 
"                         \"A_ML\":true,\"A_MC\":true,\"A_MR\":true,\n" +
"                         \"A_BL\":true,\"A_BC\":true,\"A_BR\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconLeft.getIcon(),  \"A_TC\":oIconAnchor.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconRight.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_ML\":oIconSW.getIcon(),\"A_MC\":oIconBottom.getIcon()});\n" +
"      dialog.load({ \"A_MR\":oIconSE.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_BL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_BC\":oIconBlank.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconBlank.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"     },\n" +
"    \"A_TR\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 2;\n" +
"          if(app.viewerVersion > 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TL\":true,\"A_TC\":true,\n" + 
"                         \"A_ML\":true,\"A_MC\":true,\"A_MR\":true,\n" +
"                         \"A_BL\":true,\"A_BC\":true,\"A_BR\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconBlank.getIcon(),  \"A_TC\":oIconLeft.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconAnchor.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_ML\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_MC\":oIconSW.getIcon()});\n" +
"      dialog.load({ \"A_MR\":oIconBottom.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_BL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_BC\":oIconBlank.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconBlank.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"     },\n" +
"    \"A_ML\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 3;\n" +
"          if(app.viewerVersion > 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TL\":true,\"A_TC\":true,\"A_TR\":true,\n" + 
"                         \"A_MC\":true,\"A_MR\":true,\n" +
"                         \"A_BL\":true,\"A_BC\":true,\"A_BR\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconTop.getIcon(),  \"A_TC\":oIconNE.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconBlank.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_ML\":oIconAnchor.getIcon(),\"A_MC\":oIconRight.getIcon()});\n" +
"      dialog.load({ \"A_MR\":oIconBlank.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_BL\":oIconBottom.getIcon()});\n" +
"      dialog.load({ \"A_BC\":oIconSE.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconBlank.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"\n" +
"     },\n" +
"    \"A_MC\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 4;\n" +
"          if(app.viewerVersion > 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TL\":true,\"A_TC\":true,\"A_TR\":true,\n" + 
"                         \"A_ML\":true,\"A_MR\":true,\n" +
"                         \"A_BL\":true,\"A_BC\":true,\"A_BR\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconNW.getIcon(),  \"A_TC\":oIconTop.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconNE.getIcon() });\n" +
"      dialog.load({ \"A_ML\":oIconLeft.getIcon(),\"A_MC\":oIconAnchor.getIcon(),\"A_MR\":oIconRight.getIcon() });\n" +
"      dialog.load({ \"A_BL\":oIconSW.getIcon(), \"A_BC\":oIconBottom.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconSE.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"     },\n" +
"    \"A_MR\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 5;\n" +
"          if(app.viewerVersion > 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TL\":true,\"A_TC\":true,\"A_TR\":true,\n" + 
"                         \"A_ML\":true,\"A_MC\":true,\n" +
"                         \"A_BL\":true,\"A_BC\":true,\"A_BR\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_TC\":oIconNW.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconTop.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_ML\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_MC\":oIconLeft.getIcon()});\n" +
"      dialog.load({ \"A_MR\":oIconAnchor.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_BL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_BC\":oIconSW.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconBottom.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"     },\n" +
"    \"A_BL\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 6;\n" +
"          if(app.viewerVersion > 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TL\":true,\"A_TC\":true,\"A_TR\":true,\n" + 
"                         \"A_ML\":true,\"A_MC\":true,\"A_MR\":true,\n" +
"                         \"A_BC\":true,\"A_BR\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_TC\":oIconBlank.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconBlank.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_ML\":oIconTop.getIcon(),\"A_MC\":oIconNE.getIcon()});\n" +
"      dialog.load({ \"A_MR\":oIconBlank.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_BL\":oIconAnchor.getIcon()});\n" +
"      dialog.load({ \"A_BC\":oIconRight.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconBlank.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"\n" +
"     },\n" +
"   \"A_BC\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 7;\n" +
"          if(app.viewerVersion > 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TL\":true,\"A_TC\":true,\"A_TR\":true,\n" + 
"                         \"A_ML\":true,\"A_MC\":true,\"A_MR\":true,\n" +
"                         \"A_BL\":true,\"A_BR\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_TC\":oIconBlank.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconBlank.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_ML\":oIconNW.getIcon(),\"A_MC\":oIconTop.getIcon(),\"A_MR\":oIconNE.getIcon() });\n" +
"      dialog.load({ \"A_BL\":oIconLeft.getIcon(), \"A_BC\":oIconAnchor.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconRight.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"     },\n" +
"    \"A_BR\": function(dialog)\n" +
"     {\n" +
"          this.nActiveAnchor = 8;\n" +
"          if(app.viewerVersion > 7){\n" +
"          dialog.enable({\"A_TL\":false,\"A_TC\":false,\"A_TR\":false,\n" + 
"                         \"A_ML\":false,\"A_MC\":false,\"A_MR\":false,\n" +
"                         \"A_BL\":false,\"A_BC\":false,\"A_BR\":false});\n" +
"          dialog.enable({\"A_TL\":true,\"A_TC\":true,\"A_TR\":true,\n" + 
"                         \"A_ML\":true,\"A_MC\":true,\"A_MR\":true,\n" +
"                         \"A_BL\":true,\"A_BC\":true});\n" +
"         }\n" +
"      try{\n" +
"      dialog.load({ \"A_TL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_TC\":oIconBlank.getIcon() });\n" +
"      dialog.load({ \"A_TR\":oIconBlank.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_ML\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_MC\":oIconNW.getIcon()});\n" +
"      dialog.load({ \"A_MR\":oIconTop.getIcon() });\n" +
"\n" +
"      dialog.load({ \"A_BL\":oIconBlank.getIcon()});\n" +
"      dialog.load({ \"A_BC\":oIconLeft.getIcon() });\n" +
"      dialog.load({ \"A_BR\":oIconAnchor.getIcon() });\n" +
"      }catch(e){console.println(e);}\n" +
"     },\n" +
"    \"tFPg\": function(dialog)\n" +
"    {\n" +
"\n" +
"\n" +
"    },\n" +
"    \"rFro\": function(dialog)\n" +
"    {\n" +
"dialog.enable({\"tFPg\":true ,\"tTPg\":true});\n" +
"    },\n" +
"    \"rCur\": function(dialog)\n" +
"    {\n" +
"dialog.enable({\"tFPg\":false ,\"tTPg\":false});\n" +
"    },\n" +
"    \"rAll\": function(dialog)\n" +
"    {\n" +
"dialog.enable({\"tFPg\":false ,\"tTPg\":false});\n" +
"    },\n" +
"    \"Rad3\": function(dialog)\n" +
"    {\n" +
"this[\"psiz\"](dialog);\n" +
"    },\n" +
"    \"Rad2\": function(dialog)\n" +
"    {\n" +
"this[\"psiz\"](dialog);\n" +
"    },\n" +
"    \"Rad1\": function(dialog)\n" +
"    {\n" +
"this[\"psiz\"](dialog);\n" +
"    },\n" +
"    \"psiz\": function(dialog)\n" +
"    {\n" +
"\n" +
"			var rslts = dialog.store();\n" +
"			var sel =\"\";\n" +
"			for(var entry in rslts[\"psiz\"])\n" +
"			{\n" +
"					if(rslts[\"psiz\"][entry]> 0)\n" +
"				 {\n" +
"							 sel = entry;\n" +
"								break;\n" +
"				 }\n" +
"			}\n" +
"			 var mult = 1;\n" +
"			 if(rslts[\"Rad2\"])\n" +
"					 mult = 72;\n" +
"			 else if(rslts[\"Rad3\"])\n" +
"					 mult = 2.835;\n" +
"			 var bCustom = (sel ==\"Custom\");\n" +
"			 dialog.enable({\"hght\": bCustom,\"wdth\":bCustom});\n" +
"			 var nH = 0, nW = 0;\n" +
"			 if(bCustom)\n" +
"			 {\n" +
"							nH = (rslts[\"hght\"] * m_bLastMult )/mult;\n" +
"							nW = (rslts[\"wdth\"] * m_bLastMult)/mult;\n" +
"			 }\n" +
"			 else\n" +
"			 {\n" +
"					var nLen = sizeListReSize.length;\n" +
"					for(var i=0;i<nLen;i++)\n" +
"					{\n" +
"							 if(sizeListReSize[i].name == sel)\n" +
"							{\n" +
"									nH = sizeListReSize[i].h/mult;\n" +
"									nW = sizeListReSize[i].w/mult;\n" +
"									break;\n" +
"							}\n" +
"					}\n" +
"			 }\n" +
"			 dialog.load({\"hght\": nH,\"wdth\":nW});\n" +
"			 m_bLastMult = mult;\n" +
"\n" +
"    },\n" +
"    description:\n" +
"    {\n" +
"      first_tab: \"psiz\",\n" +
"      name: \"Resize pages\",\n" +
"      target_id: \"psiz\",\n" +
"      elements:\n" +
"      [\n" +
"        {\n" +
"          alignment: \"align_left\",\n" +
"          type: \"view\",\n" +
"          elements:\n" +
"          [\n" +
"            {\n" +
"              align_children: \"align_top\",\n" +
"              type: \"view\",\n" +
"              elements:\n" +
"              [\n" +
"                {\n" +
"                  align_children: \"align_top\",\n" +
"                  item_id: \"cSiz\",\n" +
"                  name: \"New size\",\n" +
"                  type: \"cluster\",\n" +
"                  elements:\n" +
"                  [\n" +
"                    {\n" +
"                      align_children: \"align_top\",\n" +
"                      type: \"view\",\n" +
"                      elements:\n" +
"                      [\n" +
"                        {\n" +
"                          item_id: \"V2\",\n" +
"                          type: \"view\",\n" +
"                          elements:\n" +
"                          [\n" +
"                            {\n" +
"                              alignment: \"align_left\",\n" +
"                              height: 23,\n" +
"                              item_id: \"psiz\",\n" +
"                              next_tab: \"hght\",\n" +
"                              type: \"popup\",\n" +
"                              width: 53,\n" +
"                            },\n" +
"                            {\n" +
"                              align_children: \"align_row\",\n" +
"                              item_id: \"V4\",\n" +
"                              type: \"view\",\n" +
"                              elements:\n" +
"                              [\n" +
"                                {\n" +
"                                  height: 24,\n" +
"                                  item_id: \"sta1\",\n" +
"                                  name: \"Width:\",\n" +
"                                  type: \"static_text\",\n" +
"                                  width: 42,\n" +
"                                },\n" +
"                                {\n" +
"                                  char_width: 8,\n" +
"                                  height: 24,\n" +
"                                  item_id: \"wdth\",\n" +
"                                  next_tab: \"Rad1\",\n" +
"                                  type: \"edit_text\",\n" +
"                                  width: 88,\n" +
"                                },\n" +
"                              ]\n" +
"                            },\n" +
"                            {\n" +
"                              align_children: \"align_row\",\n" +
"                              item_id: \"V3\",\n" +
"                              type: \"view\",\n" +
"                              elements:\n" +
"                              [\n" +
"                                {\n" +
"                                  height: 24,\n" +
"                                  item_id: \"sta1\",\n" +
"                                  name: \"Height:\",\n" +
"                                  type: \"static_text\",\n" +
"                                  width: 42,\n" +
"                                },\n" +
"                                {\n" +
"                                  alignment: \"align_left\",\n" +
"                                  char_width: 8,\n" +
"                                  height: 24,\n" +
"                                  item_id: \"hght\",\n" +
"                                  next_tab: \"wdth\",\n" +
"                                  type: \"edit_text\",\n" +
"                                  width: 88,\n" +
"                                },\n" +
"                              ]\n" +
"                            },\n" +
"                          ]\n" +
"                        },\n" +
"                        {\n" +
"                          align_children: \"align_left\",\n" +
" //                         height: 113,\n" +
"                          item_id: \"cUni\",\n" +
"                          name: \"Units\",\n" +
"                          type: \"cluster\",\n" +
"                          elements:\n" +
"                          [\n" +
"                            {\n" +
"                              group_id: \"Unit\",\n" +
"                              item_id: \"Rad1\",\n" +
"                              name: \"points\",\n" +
"                              next_tab: \"Rad2\",\n" +
"                              type: \"radio\",\n" +
"                            },\n" +
"                            {\n" +
"                              group_id: \"Unit\",\n" +
"                              item_id: \"Rad2\",\n" +
"                              name: \"inches\",\n" +
"                              next_tab: \"Rad3\",\n" +
"                              type: \"radio\",\n" +
"                            },\n" +
"                            {\n" +
"                              group_id: \"Unit\",\n" +
" //                             height: 23,\n" +
"                              item_id: \"Rad3\",\n" +
"                              name: \"millimeters\",\n" +
"                              type: \"radio\",\n" +
" //                             width: 88,\n" +
"                            },\n" +
"                          ]\n" +
"                        },\n" +
"                      ]\n" +
"                    },\n" +
"                  ]\n" +
"                },\n" +
"                {\n" +
"                  align_children: \"align_center\",\n" +
"                  item_id: \"cAnc\",\n" +
"                  name: \"Anchor\",\n" +
"                  type: \"cluster\",\n" +
"                  elements:\n" +
"                  [\n" +
"                    {\n" +
"                      align_children: \"align_row\",\n" +
"                      alignment: \"align_center\",\n" +
"                      type: \"view\",\n" +
"                      elements:\n" +
"                      [\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"radio\",\n" +
"                          item_id: \"A_TL\",\n" +
"                          next_tab: \"A_TC\",\n" +
"                        },\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"radio\",\n" +
"                          item_id: \"A_TC\",\n" +
"                          next_tab: \"A_TR\",\n" +
"                        },\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"radio\",\n" +
"                          item_id: \"A_TR\",\n" +
"                          next_tab: \"A_ML\",\n" +
"                        },\n" +
"                      ]\n" +
"                    },\n" +
"                    {\n" +
"                      align_children: \"align_row\",\n" +
"                      type: \"view\",\n" +
"                      elements:\n" +
"                      [\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"radio\",\n" +
"                          item_id: \"A_ML\",\n" +
"                          next_tab: \"A_MC\",\n" +
"                        },\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"radio\",\n" +
"                          item_id: \"A_MC\",\n" +
"                          next_tab: \"A_MR\",\n" +
"                        },\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"radio\",\n" +
"                          item_id: \"A_MR\",\n" +
"                          next_tab: \"A_BL\",\n" +
"                        },\n" +
"                      ]\n" +
"                    },\n" +
"                    {\n" +
"                      align_children: \"align_row\",\n" +
"                      type: \"view\",\n" +
"                      elements:\n" +
"                      [\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"radio\",\n" +
"                          item_id: \"A_BL\",\n" +
"                          next_tab: \"A_BC\",\n" +
"                        },\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"radio\",\n" +
"                          item_id: \"A_BC\",\n" +
"                          next_tab: \"A_BR\",\n" +
"                        },\n" +
"                        {\n" +
"                          alignment: \"align_distribute\",\n" +
"                          width: 20,\n" +
"                          height: 20,\n" +
"                          type: \"radio\",\n" +
"                          item_id: \"A_BR\",\n" +
"                          next_tab: \"rAll\",\n" +
"                        },\n" +
"                      ]\n" +
"                    },\n" +
"                  ]\n" +
"                },\n" +
"              ]\n" +
"            },\n" +
"            {\n" +
"              align_children: \"align_top\",\n" +
"              type: \"view\",\n" +
"              elements:\n" +
"              [\n" +
"                {\n" +
"                  item_id: \"cls3\",\n" +
"                  name: \"Page range\",\n" +
"                  type: \"cluster\",\n" +
"                  elements:\n" +
"                  [\n" +
"                    {\n" +
"                      group_id: \"rang\",\n" +
"                      item_id: \"rAll\",\n" +
"                      name: \"All\",\n" +
"                      next_tab: \"rSel\",\n" +
"                      type: \"radio\",\n" +
"                    },\n" +
"                    {\n" +
"                      group_id: \"rang\",\n" +
"                      item_id: \"rCur\",\n" +
"                      name: \"Current Page\",\n" +
"                      next_tab: \"rFro\",\n" +
"                      type: \"radio\",\n" +
"                    },\n" +
"                    {\n" +
"                      align_children: \"align_row\",\n" +
"                      type: \"view\",\n" +
"                      width: 256,\n" +
"                      elements:\n" +
"                      [\n" +
"                        {\n" +
"                          group_id: \"rang\",\n" +
"                          item_id: \"rFro\",\n" +
"                          name: \"From:\",\n" +
"                          next_tab: \"tFPg\",\n" +
"                          type: \"radio\",\n" +
"                        },\n" +
"                        {\n" +
"                          char_width: 6,\n" +
"                          item_id: \"tFPg\",\n" +
"                          next_tab: \"tTPg\",\n" +
"                          type: \"edit_text\",\n" +
"                        },\n" +
"                        {\n" +
"                          item_id: \"sta1\",\n" +
"                          name: \"To:\",\n" +
"                          type: \"static_text\",\n" +
"                        },\n" +
"                        {\n" +
"                          char_width: 6,\n" +
"                          item_id: \"tTPg\",\n" +
"                          next_tab: \"pEvn\",\n" +
"                          type: \"edit_text\",\n" +
"                        },\n" +
"                        {\n" +
"                          item_id: \"sOfN\",\n" +
"                          name: \"of (N)\",\n" +
"                          type: \"static_text\",\n" +
"                          width: 40,\n" +
"                        },\n" +
"                      ]\n" +
"                    },\n" +
"                    {\n" +
"                      height: 5,\n" +
"                      item_id: \"gap1\",\n" +
"                      type: \"gap\",\n" +
"                      width: 151,\n" +
"                    },\n" +
"                    {\n" +
"                      align_children: \"align_row\",\n" +
"                      type: \"view\",\n" +
"                      elements:\n" +
"                      [\n" +
"                        {\n" +
"                          item_id: \"sta3\",\n" +
"                          name: \"Resize:\",\n" +
"                          type: \"static_text\",\n" +
"                        },\n" +
"                        {\n" +
"                          enable: \"true\",\n" +
"                          item_id: \"pEvn\",\n" +
"                          name: \"goo\",\n" +
"                          next_tab: \"ckAr\",\n" +
"                          type: \"popup\",\n" +
"                          width: 200,\n" +
"                        },\n" +
"                      ]\n" +
"                    },\n" +
"                  ]\n" +
"                },\n" +
"                {\n" +
"                  align_children: \"align_left\",\n" +
"                  alignment: \"align_distribute\",\n" +
"//                  char_height: 8,\n" +
"//                  char_width: 8,\n" +
"//                  height: 180,\n" +
"                  item_id: \"cBxs\",\n" +
"                  name: \"Apply to\",\n" +
"                  type: \"cluster\",\n" +
"//                  width: 110,\n" +
"                  elements:\n" +
"                  [\n" +
"                    {\n" +
"                      item_id: \"ckAr\",\n" +
"                      name: \"Art Box\",\n" +
"                      next_tab: \"ckBl\",\n" +
"                      type: \"check_box\",\n" +
"                    },\n" +
"                    {\n" +
"                      item_id: \"ckBl\",\n" +
"                      name: \"Bleed Box\",\n" +
"                      next_tab: \"ckCr\",\n" +
"                      type: \"check_box\",\n" +
"                    },\n" +
"                    {\n" +
"                      item_id: \"ckCr\",\n" +
"                      name: \"Crop Box\",\n" +
"                      next_tab: \"ckMe\",\n" +
"                      type: \"check_box\",\n" +
"                    },\n" +
"                    {\n" +
"                      item_id: \"ckMe\",\n" +
"                      name: \"Media Box\",\n" +
"                      next_tab: \"ckTr\",\n" +
"                      type: \"check_box\",\n" +
"                    },\n" +
"                    {\n" +
"                      item_id: \"ckTr\",\n" +
"                      name: \"Trim Box\",\n" +
"                      next_tab: \"OK\",\n" +
"                      type: \"check_box\",\n" +
"                    },\n" +
"                  ]\n" +
"                },\n" +
"              ]\n" +
"            },\n" +
"            {\n" +
"              align_children: \"align_left\",\n" +
"              alignment: \"align_fill\",\n" +
"              name: \"OK\",\n" +
"              type: \"ok_cancel\",\n" +
"            },\n" +
"          ]\n" +
"        },\n" +
"      ]\n" +
"    }\n" +
"  };\n" +
"\n" +
"// ------------------- end of dialog box code -------------------\n" +
"\n" +
"//app.alert(\"start: before JSADMDlg.DoDialog()\");\n" +
"var stat = DoResizeDialog(ResizePageDlg);      // display the dialog box\n" +
"//app.alert(\"stat = \" + stat);\n" +
"if (\'ok\' == stat) {\n" +
"   // Determine the starting and ending pages to process.\n" +
"   // the values set are 0-based!\n" +
"   var fromPage, toPage;\n" +
"   switch (dlgValues[\'range\']) {\n" +
"      case \'all\':\n" +
"         fromPage = 0;\n" +
"         toPage = app.doc.numPages - 1;\n" +
"         break;\n" +
"      case \'current\':\n" +
"         fromPage = app.doc.pageNum;\n" +
"         toPage = app.doc.pageNum;\n" +
"      if (blnDebug) {console.println(\'In Current: pg:\'+ toPage);}\n" + 
"         break;\n" +
"      case \'range\':\n" +
"         fromPage = dlgValues[\'fromPage\'] - 1;\n" +
"         toPage = dlgValues[\'toPage\'] - 1;\n" +
"         break;\n" +
"   }\n" +
"   if (blnDebug) {console.println(\'fromPage, toPage (zero-based) = \' + fromPage + \', \' + toPage);}\n" +
"\n" +
"   // Set even and odd page flags.\n" +
"   var doOdd, doEven;\n" +
"   switch (dlgValues[\'oddeven\']) {\n" +
"      case \'1. All Pages\':\n" +
"         doOdd = true;\n" +
"         doEven = true;\n" +
"         break;\n" +
"      case \'2. Odd Pages Only\':\n" +
"         doOdd = true;\n" +
"         doEven = false;\n" +
"         break;\n" +
"      case \'3. Even Pages Only\':\n" +
"         doOdd = false;\n" +
"         doEven = true;\n" +
"         break;\n" +
"   }\n" +
"   if (blnDebug) {console.println(\'doOdd, doEven = \' + doOdd + \', \' + doEven);}\n" +
"\n" +
"   // set up anchor and box variables and calc new page size in points\n" +
"   var tmb, lcr, boxes, w, h;\n" +
"   tmb = dlgValues[\'anchor\'][0];\n" +
"   lcr = dlgValues[\'anchor\'][1];\n" +
"   w = dlgValues[\'w\'] * dlgValues[\'units\'];\n" +
"   h = dlgValues[\'h\'] * dlgValues[\'units\'];\n" +
"   if (blnDebug) {console.println(\'tmb, lcr, w, h = \' + tmb + \', \' + lcr + \', \' + w + \', \' + h);}\n" +
"   boxes = dlgValues[\'boxes\'];\n" +
"\n" +
//"   ProgDlg.DoResize(this,fromPage,toPage,doEven,doOdd,h,w,tmb,lcr,boxes);\n" +
"   DoResize(this,fromPage,toPage,doEven,doOdd,h,w,tmb,lcr,boxes);\n" +
"} // end if OK was pressed\n" +
"\n";
//</JSCodeSnippet>

//<JSCodeSnippet name="ButtonObjDef">
var oButObjResize = 
{cName: "Resize",
cExec: DoCmdResize,
cEnable: "event.rc = (app.doc != null)",
cMarked: "event.rc = false",
cTooltext: "Resize the Document Page Boxes",
nPos: 2,
cLabel: "Resize Pages"};
//</JSCodeSnippet>
if(oIconResize != null)
    oButObjResize.oIcon = oIconResize;

try{app.removeToolButton("Resize");}catch(e){}

//<JSCodeSnippet name="TryAddBut">
try
{
//</JSCodeSnippet>
//<JSCodeSnippet name="AddButtonfn">
    app.addToolButton(oButObjResize);
//</JSCodeSnippet>
//<JSCodeSnippet name="CatchAddBut">
}catch(e)
{
}
//</JSCodeSnippet>
 
//</AcroButtons>


